#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_encoder_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_allocate_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_plane_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_from_ddc, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xd5108909, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_encoder_state, 0x43dc1bb6, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xd3f07a81, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x3703fc34, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xb97082d8, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x4c1cebad, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x794c85fe, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xbe9ab37c, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x59db8832, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xc426fd37, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xd7a9ae0f, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xf85ae430, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x79fdebff, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x8a9c4e62, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0xbe0d3277, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x646f3ee5, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x24eac492, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x1e61a04f, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x45434999, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xad8be71e, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xbb796776, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x6ce2a277, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x41e2409f, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x5e7b256b, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x3f09cd9a, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xeee476dd, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x1c3b3185, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xcdb1fedb, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xe3d2295c, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xf87349cf, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x5717f6f4, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xcc90c926, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xabf19b1c, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x92be9d86, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x821eb253, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x667a14e1, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x821b6f82, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x33a0c693, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x95e29c70, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x741e3e40, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x57a57b54, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x640abfa9, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xede7a9af, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xce606a52, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x8ccb5456, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xcc65644e, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xf5fc76c7, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xc9a9772d, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xca4ebdee, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xc731289c, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x5e7cafa5, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x3979379e, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xba15910c, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xd4ba8620, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xbc264a38, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x1c9da03d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xb6099bb1, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x0bc9d569, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x07dc0360, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x38435080, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x0833f9e6, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xf08c4b42, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xbcfdc038, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x3fba5da3, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x8f644066, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x86a32215, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x1e56f90e, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x4a6e75fd, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x074cbfd0, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xe30ed62a, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x0f0e6121, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xc20b5c05, "");
SYMBOL_CRC(drm_bridge_connector_init, 0xd680d8da, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x1425c152, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xa153cb86, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x071c072a, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x777c3986, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xed75dc11, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xa94aae94, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x7941288c, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x516e4ba9, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xee2badae, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xc70e26e4, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x4fff6427, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x54757a97, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x34431dd2, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xe964e27a, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x270fa2e5, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x66120177, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xa8007496, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xe9533a09, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x8e179cb7, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x4c1804db, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x24f64536, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xea658f4b, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xd9887944, "");
SYMBOL_CRC(drm_flip_work_allocate_task, 0xcf11a549, "");
SYMBOL_CRC(drm_flip_work_queue_task, 0xb6a26b52, "");
SYMBOL_CRC(drm_flip_work_queue, 0x27d1f4bf, "");
SYMBOL_CRC(drm_flip_work_commit, 0xe5b6a86c, "");
SYMBOL_CRC(drm_flip_work_init, 0x6c6e4f6a, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xe614fb2b, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xa7063d4a, "");
SYMBOL_CRC(drm_fb_swab, 0x2a058392, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x166c50db, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x0b2dcc63, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x13707808, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x39ffc5e6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x563724b4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xeb2170c4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x7932ed05, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xd0345fe4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x5f24ec20, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x56fca13d, "");
SYMBOL_CRC(drm_fb_blit, 0xa6b40f28, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xd741c573, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x8dcd5e4c, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x319e3001, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x0362d797, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x2af5c234, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x7e05d400, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xf4d986f3, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xb9015b8d, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xba6d271a, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xf86315c7, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0xdd860ff8, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x39249c72, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x1d40d23c, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xc6ff73c8, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x8b2cd946, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xab78b099, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x4d33cad0, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x1a29f0f5, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x60dbb369, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x6c6ff3d7, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x87fcb948, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x399ddd0a, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xcb0316fb, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x78244af1, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x77bd85eb, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x11839311, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x0b001e0a, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xa7260df4, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xf1b6ee80, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x0795602e, "");
SYMBOL_CRC(drm_crtc_init, 0x9f4b3b80, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x4e3e7d4a, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x82bbff26, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x7e196fa6, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x6509b5fc, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x40bf639e, "");
SYMBOL_CRC(drm_plane_helper_atomic_check, 0xe0e3fa3d, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xbc93217c, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xeda9e92f, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xd3f60cbe, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xd1dd38c9, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x17154526, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x931f9134, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x30e0fa00, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x92df139c, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x2ef09449, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x2d0e3216, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x8e59ce75, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xf5e06122, "");
SYMBOL_CRC(drm_connector_helper_get_modes_from_ddc, 0x3e7ca0dc, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x454b9bdb, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xeb5f3d8f, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x1f066b25, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xa9e9f194, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x721c5a1a, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x89a6caf8, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xdc4d6d5c, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x60a85c0f, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x4c687c6c, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xad374054, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xe6d51f6a, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xdac4acdf, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x06d46355, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x29985657, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x0d29514b, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x51d0250c, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xd6ffab80, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x02224531, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xd90b903b, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x760c38f9, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0x9cf76bca, "");
SYMBOL_CRC(drmm_of_get_bridge, 0xe436999a, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0xc5b702a4, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xc23a091b, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x1c50ca5e, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x852c5ea8, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xf99d00c6, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x9780c116, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x9220a828, "");
SYMBOL_CRC(drm_fb_helper_init, 0xec1410a4, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xd02ab6d9, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x793da4c2, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x8e0dbb16, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x5a8548fb, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x6a062898, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0xee91c158, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x3ac59c42, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x5c59863d, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x6f3d6037, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x5013df38, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x22248375, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x6f8a3729, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xd0200181, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x7c3358bf, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xb0b4cc7d, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x7c36e21b, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x68209e5b, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x32dc54c7, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x2f8e9e42, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb49098e2, "unregister_framebuffer" },
	{ 0xa7c91cf7, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x20b310ef, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xe7d329ac, "drm_client_register" },
	{ 0x83a5ec5b, "drm_writeback_prepare_job" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x231668fa, "drm_panel_get_modes" },
	{ 0x3b40e3d7, "drm_gem_vmap_unlocked" },
	{ 0x34929754, "try_module_get" },
	{ 0x1805e5ff, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd440d64b, "drm_bridge_add" },
	{ 0xeec2e8bc, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x83840972, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb35ebc47, "devm_kmalloc" },
	{ 0x6e61041f, "drm_client_rotation" },
	{ 0xfa485c63, "drm_client_buffer_vmap" },
	{ 0xb247d275, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7090c78a, "drm_framebuffer_init" },
	{ 0x7319772c, "drm_mode_validate_driver" },
	{ 0x5eacdb63, "drm_atomic_add_affected_planes" },
	{ 0xe092e035, "dma_buf_end_cpu_access" },
	{ 0xa0e2d210, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x3f740941, "drm_mode_probed_add" },
	{ 0x1b60ea65, "drm_atomic_add_affected_connectors" },
	{ 0xca6df7d6, "drm_gem_vunmap_unlocked" },
	{ 0x67b8d6b5, "drm_bridge_hpd_enable" },
	{ 0xcbb82310, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa3a7190c, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x76f558bc, "drm_client_framebuffer_delete" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x374eb804, "drm_client_framebuffer_create" },
	{ 0x383961fe, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x10b022b0, "drm_mode_object_get" },
	{ 0xf73f36c4, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xa2c82f8d, "drm_driver_legacy_fb_format" },
	{ 0x9105bee5, "drm_crtc_cleanup" },
	{ 0x6e66d0a2, "drm_connector_list_iter_begin" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa386ca2d, "fb_deferred_io_init" },
	{ 0xf28dd9c2, "drm_mode_set_config_internal" },
	{ 0xf1a58512, "fb_deferred_io_cleanup" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1595d242, "framebuffer_alloc" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x530e75d2, "drm_encoder_cleanup" },
	{ 0xf4fbe4a9, "drm_connector_unregister" },
	{ 0x2be63fca, "drm_modeset_acquire_init" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6531b524, "drm_client_modeset_probe" },
	{ 0xb550bf84, "drm_warn_on_modeset_not_all_locked" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x141533c0, "drm_plane_get_damage_clips" },
	{ 0xa977f840, "devres_add" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x53e24c31, "drm_add_modes_noedid" },
	{ 0x99565be3, "drm_bridge_remove" },
	{ 0x1c4f6b95, "drm_mode_object_put" },
	{ 0x9cb01283, "dev_driver_string" },
	{ 0xaac2557c, "drm_crtc_vblank_get" },
	{ 0x9ea8c995, "drm_gem_object_lookup" },
	{ 0x63005717, "drm_crtc_send_vblank_event" },
	{ 0x4e948417, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x14ed45b2, "fb_sys_write" },
	{ 0x7a2c865e, "drm_atomic_normalize_zpos" },
	{ 0xa6473de9, "drm_edid_connector_update" },
	{ 0x102c4044, "drm_sysfs_hotplug_event" },
	{ 0x2a14adc3, "drm_bridge_hpd_disable" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb7162a8b, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1fbefd60, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd882283, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x40d04664, "console_trylock" },
	{ 0x47869f47, "sys_fillrect" },
	{ 0x9bd2a212, "drm_connector_list_iter_end" },
	{ 0x301a47cd, "drm_atomic_set_crtc_for_plane" },
	{ 0x5ad8df58, "drm_client_modeset_dpms" },
	{ 0xf502bc86, "drm_mode_prune_invalid" },
	{ 0xe4520ef0, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xbd27f14f, "_dev_info" },
	{ 0x1ace84b, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x7cbfcc4e, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xce65c135, "module_put" },
	{ 0xe45cc717, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x42e7f2ec, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc281ec6b, "drm_client_init" },
	{ 0xfff8da31, "drm_crtc_wait_one_vblank" },
	{ 0x5175df5e, "drm_crtc_next_vblank_start" },
	{ 0xce0542ad, "__drmm_encoder_alloc" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x623fe290, "drm_modeset_lock" },
	{ 0x553f60a4, "drm_client_modeset_commit_locked" },
	{ 0xe902c0ae, "drm_modeset_unlock" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x864a3ec2, "drm_panel_disable" },
	{ 0x96704adb, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd469df99, "drm_connector_init" },
	{ 0xa8fa8d55, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa944f835, "_dev_err" },
	{ 0x10c0c000, "drm_writeback_cleanup_job" },
	{ 0x75f0b804, "drm_modeset_lock_all_ctx" },
	{ 0x5f72bcd9, "i2c_unregister_device" },
	{ 0x829474f2, "drm_atomic_set_fb_for_plane" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x89352a1e, "__drm_universal_plane_alloc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x6221bb9, "drm_connector_init_with_ddc" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x96ccd15b, "drm_add_edid_modes" },
	{ 0x5c37c391, "drm_edid_connector_add_modes" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7dc11a56, "__devres_alloc_node" },
	{ 0x64cb3ac9, "drm_edid_read" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4a577c61, "drm_crtc_commit_wait" },
	{ 0x9257f135, "drm_dev_has_vblank" },
	{ 0xfcfc7ab8, "register_framebuffer" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xdb25b638, "__drm_atomic_helper_disable_plane" },
	{ 0xc6e85946, "drm_connector_set_orientation_from_panel" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x60739cd9, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x945ca9a5, "drm_atomic_set_crtc_for_connector" },
	{ 0x1b208db5, "drm_analog_tv_mode" },
	{ 0x952d09c2, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x1f7c0fc9, "drm_mode_duplicate" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3ba1864e, "drm_crtc_vblank_put" },
	{ 0x79f327aa, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x5f657f75, "__drm_dev_dbg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8d62f5f1, "drm_plane_get_damage_clips_count" },
	{ 0x4a07f5b2, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x1475d849, "fb_deferred_io_mmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xbb010408, "drm_atomic_state_alloc" },
	{ 0xb5509414, "drm_client_modeset_commit" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x3c3c4b8f, "_dev_warn" },
	{ 0xc9a9a364, "drm_atomic_bridge_chain_post_disable" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x4e0ddc04, "drm_connector_update_edid_property" },
	{ 0x88ab6fe3, "kgdb_active" },
	{ 0x31b8a5e3, "__drm_set_edid_firmware_path" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x1c34d6dd, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xad9bb4e5, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xd7e2d758, "drm_client_release" },
	{ 0x8d72789e, "drm_edid_is_valid" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x8f374382, "__drm_atomic_helper_set_config" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9feebce4, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x80e56a0d, "drm_get_format_info" },
	{ 0x36e75198, "drm_connector_cleanup" },
	{ 0x59b9a513, "drm_universal_plane_init" },
	{ 0x75fcf05f, "drm_any_plane_has_format" },
	{ 0x8388139a, "sys_copyarea" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x25475b86, "drm_connector_list_iter_next" },
	{ 0x29b0a8aa, "drm_modeset_acquire_fini" },
	{ 0x8c2ace73, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x716bc1a9, "drm_object_property_get_default_value" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x7b0f653a, "current_work" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x58fefc93, "param_ops_bool" },
	{ 0xa1aa6f4a, "drm_of_find_panel_or_bridge" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x865e5532, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x61136978, "drm_modeset_backoff" },
	{ 0x75702a7f, "drm_panel_prepare" },
	{ 0x9d2be95f, "drm_bridge_chain_mode_set" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xb65ae416, "drm_client_buffer_vunmap" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x9d14bdb, "fb_sys_read" },
	{ 0x3c63897, "__drm_get_edid_firmware_path" },
	{ 0xedd4aa3b, "drm_atomic_get_plane_state" },
	{ 0x678a7858, "drm_atomic_bridge_chain_check" },
	{ 0xda9fdbba, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa4547664, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x6d3e8e05, "drm_property_blob_put" },
	{ 0xe3eeaacf, "drm_mode_destroy" },
	{ 0xe17204cf, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe1ada18f, "drm_set_preferred_mode" },
	{ 0x580c75d2, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x41e2daf4, "drm_atomic_state_clear" },
	{ 0xf43bc163, "drm_mode_config_reset" },
	{ 0x1b21a921, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0x814bdc7c, "drm_modeset_drop_locks" },
	{ 0x6a5d4690, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x41c99061, "drm_atomic_bridge_chain_disable" },
	{ 0x1750212c, "drm_mode_create_from_cmdline_mode" },
	{ 0x6b2aa51e, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x9945d92c, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xd3499e6, "drm_atomic_nonblocking_commit" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x20c25d94, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x9bf4ad8f, "drm_master_internal_release" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb6eea165, "drm_get_edid" },
	{ 0x9fb381ca, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xcf100fc6, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0xac97c47c, "drm_atomic_add_encoder_bridges" },
	{ 0xc3d5ad39, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3d079f64, "drm_sysfs_connector_hotplug_event" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "D13941A0564D907B7CF5D2B");
