#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x7a0d7698, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x2db54fb8, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x127b5e5a, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x99972b3d, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x1f71a2f8, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0xda8e397f, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x8e2f334f, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x1f22ee6c, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x2c404e08, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xa2780933, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xc1e3f56e, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x78e37a18, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x089a5c1a, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x16758595, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x1e72e034, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xeeaca5ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6b918a84, "vmf_insert_pfn" },
	{ 0xa4f0e975, "ww_mutex_lock_interruptible" },
	{ 0xd0d198e1, "drm_gem_get_pages" },
	{ 0xe912a92, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x75a83076, "invalidate_mapping_pages" },
	{ 0x3ae7d626, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x2cb15117, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x8e7e43a, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x665dacb3, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x775dd5ff, "drm_gem_create_mmap_offset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9c16e288, "drm_gem_object_init" },
	{ 0x9cb01283, "dev_driver_string" },
	{ 0xd79978f6, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x75b099db, "drm_gem_vm_close" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf217f71c, "drm_gem_vm_open" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x7892b7d9, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xf592ffd1, "ww_mutex_lock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xfd5a580c, "vmap" },
	{ 0x60739cd9, "drm_gem_handle_create" },
	{ 0x5f657f75, "__drm_dev_dbg" },
	{ 0x3651a80e, "drm_prime_pages_to_sg" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb495b027, "dma_buf_vunmap" },
	{ 0x151fca17, "shmem_truncate_range" },
	{ 0x28779e52, "drm_printf" },
	{ 0x4c68c567, "dma_map_sgtable" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x878dc8d4, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd4b262a9, "dma_unmap_sg_attrs" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0x73721e04, "drm_gem_put_pages" },
	{ 0x57d2998c, "drm_gem_private_object_fini" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0xd92e3eba, "drm_prime_gem_destroy" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
