#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0xf6b92910, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x9db23f39, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x4d45b24b, "set_disk_ro" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xcd38c410, "register_md_personality" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x261c42, "__bio_add_page" },
	{ 0x487bd4a2, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1b74a73c, "md_bitmap_resize" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x24083d68, "mddev_init_writes_pending" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbd0d0680, "md_find_rdev_rcu" },
	{ 0x63e2c58b, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x4fb9f395, "dump_page" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5dc84352, "md_bitmap_start_sync" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7d035aef, "md_bitmap_cond_end_sync" },
	{ 0x4e274832, "md_error" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x3084c906, "async_xor_val_offs" },
	{ 0x59554972, "__cpu_present_mask" },
	{ 0x26c5c5b1, "mempool_init" },
	{ 0xbb3ce1d, "register_shrinker" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa6afe348, "md_bitmap_startwrite" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x706dcf99, "md_finish_reshape" },
	{ 0xbfa273e0, "__traceiter_block_bio_remap" },
	{ 0x728e877b, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x7dddfc41, "md_unregister_thread" },
	{ 0x55bae47c, "__put_devmap_managed_page_refs" },
	{ 0xeeb85c70, "sync_page_io" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x6cd8668b, "md_bitmap_close_sync" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x79351ed6, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd3d38c8f, "kthread_park" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae9191a7, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0x47925c77, "kernfs_notify" },
	{ 0x1127c2bf, "md_wakeup_thread" },
	{ 0xecb61f56, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x65b11247, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x18065682, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc48a95b2, "rdev_clear_badblocks" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x44a95e93, "async_tx_quiesce" },
	{ 0x4ac31d72, "md_write_start" },
	{ 0x601ad924, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x85047724, "mempool_alloc" },
	{ 0x8cb6060f, "unregister_shrinker" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0x40d08c37, "async_xor" },
	{ 0xa6db604c, "__free_pages" },
	{ 0xba4a7521, "kmem_cache_alloc" },
	{ 0x4c8adf17, "async_xor_offs" },
	{ 0x7ad55623, "blk_finish_plug" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x3c2cacbf, "submit_bio" },
	{ 0xd3f07051, "blk_queue_flag_clear" },
	{ 0xb61364f6, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb05eaf7e, "kthread_unpark" },
	{ 0xd87c55a, "bioset_exit" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x2b99c991, "md_done_sync" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb560f559, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x429774d4, "bio_endio" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x528fb15f, "md_wait_for_blocked_rdev" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6046858, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc5a5a41e, "async_memcpy" },
	{ 0xbaeceda3, "submit_bio_noacct" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x569112d1, "kmem_cache_free" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x7c02e16a, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5d85bb62, "__tracepoint_block_unplug" },
	{ 0xf56a75b4, "bio_chain" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x24f07d40, "__blk_trace_note_message" },
	{ 0x93226391, "__traceiter_block_unplug" },
	{ 0xa3af73de, "blkdev_issue_zeroout" },
	{ 0xf3a7760e, "disk_stack_limits" },
	{ 0x6a7468e3, "__cpuhp_state_add_instance" },
	{ 0x9a86c923, "async_trigger_callback" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x41b60a53, "md_do_sync" },
	{ 0x99ff692f, "async_raid6_2data_recov" },
	{ 0x12c63639, "bio_add_page" },
	{ 0xda9e302, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x98126a5, "md_update_sb" },
	{ 0x4bd92c39, "blk_queue_max_discard_sectors" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcd00062e, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x1ce2e99f, "md_flush_request" },
	{ 0xcd671af, "bio_init" },
	{ 0xfd65651f, "md_register_thread" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x6f5a31ed, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x20a8d7e5, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x78657478, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3293f093, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x254b0082, "unregister_md_personality" },
	{ 0x20ebb340, "blk_queue_max_write_zeroes_sectors" },
	{ 0x219bb002, "md_bitmap_unplug" },
	{ 0x6dfe4140, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x58fefc93, "param_ops_bool" },
	{ 0x9748f7e3, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbba9e061, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x1d3978e3, "alloc_pages" },
	{ 0x78381cab, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x493047f2, "seq_printf" },
	{ 0x5e01168c, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xfd47ab7a, "blk_queue_io_min" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc7531f7a, "md_check_recovery" },
	{ 0xee3102a2, "md_bitmap_endwrite" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xe7bd459f, "blkdev_issue_flush" },
	{ 0xbae79ea6, "mddev_suspend" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x27b8a66f, "badblocks_check" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0x1a04e5ce, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa3f60c95, "rdev_set_badblocks" },
	{ 0x1b84083a, "bio_alloc_bioset" },
	{ 0x637ecc7c, "blk_queue_io_opt" },
	{ 0x3b448a7c, "async_raid6_datap_recov" },
	{ 0xdfc0d5c3, "submit_bio_wait" },
	{ 0xae795aee, "__cpuhp_remove_state" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0xb6a38f6f, "mempool_exit" },
	{ 0x9c60b21b, "kmem_cache_destroy" },
	{ 0x4210f2bc, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x5431f503, "blkdev_issue_discard" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq");


MODULE_INFO(srcversion, "2719800A7E632A7B7088D4E");
