#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(alloc_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(c_can_power_down, "_gpl", "");
KSYMTAB_FUNC(c_can_power_up, "_gpl", "");
KSYMTAB_FUNC(free_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(register_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(unregister_c_can_dev, "_gpl", "");

SYMBOL_CRC(alloc_c_can_dev, 0x7c5231aa, "_gpl");
SYMBOL_CRC(c_can_power_down, 0x363b13af, "_gpl");
SYMBOL_CRC(c_can_power_up, 0x12db0a71, "_gpl");
SYMBOL_CRC(free_c_can_dev, 0xc75f1105, "_gpl");
SYMBOL_CRC(register_c_can_dev, 0x787a0724, "_gpl");
SYMBOL_CRC(unregister_c_can_dev, 0xc4067995, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf161d1ac, "can_put_echo_skb" },
	{ 0x7c153be4, "can_get_echo_skb" },
	{ 0xa34b3843, "netif_napi_add_weight" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc9d8a1bf, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xf4ce16be, "open_candev" },
	{ 0x1720906c, "netdev_err" },
	{ 0x9037b12a, "pinctrl_pm_select_default_state" },
	{ 0x151d6bba, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9e0b5ab1, "__napi_schedule" },
	{ 0x7de20950, "alloc_can_skb" },
	{ 0xef6bb605, "unregister_candev" },
	{ 0xdb08c5a1, "can_change_mtu" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd11469c9, "pinctrl_put" },
	{ 0x5bf314f2, "can_dropped_invalid_skb" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x97434c25, "pinctrl_pm_select_sleep_state" },
	{ 0x662f105f, "free_candev" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x21acf971, "alloc_candev_mqs" },
	{ 0x24fba51a, "kfree_skb_reason" },
	{ 0x235794cb, "netdev_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x39b5d9e2, "napi_enable" },
	{ 0xe1c51c8c, "netif_receive_skb" },
	{ 0x550475b9, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb9a6c8de, "close_candev" },
	{ 0x72c99dab, "pinctrl_get" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x706ce636, "can_bus_off" },
	{ 0xc9b5ce8f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x690f4025, "pinctrl_lookup_state" },
	{ 0x14c25ece, "__pm_runtime_resume" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xfed6dd9d, "pinctrl_select_state" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcacf15a, "alloc_can_err_skb" },
	{ 0x8934dad3, "napi_schedule_prep" },
	{ 0xaaeb6b93, "napi_disable" },
	{ 0x60c4506a, "register_candev" },
	{ 0x2a92e56f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x58211d46, "ethtool_op_get_ts_info" },
	{ 0x8b8d3de6, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "326631E12927EB9B045D2BC");
