#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x553d553b, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x07f95f5e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x8e7149ed, "xsk_tx_completed" },
	{ 0x2fa2a7f7, "alloc_etherdev_mqs" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x91f3940e, "pci_save_state" },
	{ 0x5096ba2f, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x325705bd, "pcie_capability_read_word" },
	{ 0xf95fae9f, "device_set_wakeup_enable" },
	{ 0x52e5ac62, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x34a6cfd, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x79e14cc6, "pci_find_ext_capability" },
	{ 0x597f7fea, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x36560c10, "xp_dma_map" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xd43c6936, "skb_copy_bits" },
	{ 0x2c8c1ab3, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x7a0c7d61, "pci_request_selected_regions" },
	{ 0x79a6de4b, "pci_release_selected_regions" },
	{ 0xf2bffa87, "pci_wake_from_d3" },
	{ 0x1e96b23f, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd9d528c6, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcd2777ae, "auxiliary_device_init" },
	{ 0xb39de25b, "pci_enable_device_mem" },
	{ 0xe4baa5e5, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xa34b3843, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcb34ceee, "xsk_tx_peek_release_desc_batch" },
	{ 0x74b8663b, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x696e8e4d, "trace_raw_output_prep" },
	{ 0x70165d32, "bpf_warn_invalid_xdp_action" },
	{ 0xddff1afb, "ndo_dflt_bridge_getlink" },
	{ 0x9244198d, "unregister_netdev" },
	{ 0x9cce88a, "xdp_convert_zc_to_xdp_frame" },
	{ 0x8dd3019, "xdp_features_set_redirect_target" },
	{ 0x8529c310, "__trace_trigger_soft_disabled" },
	{ 0xddc6e1a9, "pci_get_device" },
	{ 0xb15f85dd, "dma_unmap_page_attrs" },
	{ 0xaaadc613, "request_firmware" },
	{ 0x8da97f0a, "trace_event_printf" },
	{ 0x9a58dd2d, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x408d90d5, "__pci_register_driver" },
	{ 0x47beab70, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x28de896e, "pci_num_vf" },
	{ 0xb4c84bee, "flow_rule_match_eth_addrs" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xd6fe8b4c, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2dda20cf, "pci_disable_msi" },
	{ 0x9f1bd596, "ptp_clock_index" },
	{ 0xc69d200, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x269f2973, "xdp_do_redirect" },
	{ 0xd26956e7, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2037c0c0, "bpf_trace_run2" },
	{ 0xccf82c8, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x66d6da54, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x519dd809, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x56b8e9cf, "flow_rule_match_ipv4_addrs" },
	{ 0xc9d8a1bf, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc5f66849, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbe40e412, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe9e4581a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x1720906c, "netdev_err" },
	{ 0x4a6c0dc7, "pskb_expand_head" },
	{ 0x9cb01283, "dev_driver_string" },
	{ 0x2c478577, "pci_restore_msi_state" },
	{ 0x564f1f3c, "trace_event_buffer_commit" },
	{ 0x438ba773, "dev_addr_mod" },
	{ 0x5073d306, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x9607c624, "ptp_find_pin" },
	{ 0x860f8687, "eth_type_trans" },
	{ 0x2ce5cd9f, "dma_map_page_attrs" },
	{ 0x35b54504, "irq_set_affinity_notifier" },
	{ 0x151d6bba, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7e64ba42, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xbbb40a46, "put_device" },
	{ 0x9e0b5ab1, "__napi_schedule" },
	{ 0xdaf8bea6, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x7ec4317b, "pci_enable_msix_range" },
	{ 0xc58b60e1, "xsk_set_rx_need_wakeup" },
	{ 0x618911fc, "numa_node" },
	{ 0xa6db604c, "__free_pages" },
	{ 0x6546718b, "__hw_addr_unsync_dev" },
	{ 0xbd27f14f, "_dev_info" },
	{ 0x23b271ef, "napi_gro_receive" },
	{ 0x99844822, "xdp_features_clear_redirect_target" },
	{ 0x55b8ce9d, "pci_select_bars" },
	{ 0x96701107, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb5eff299, "xp_raw_get_dma" },
	{ 0xa88dbe28, "eth_get_headlen" },
	{ 0x5ba423fe, "xdp_rxq_info_is_reg" },
	{ 0x71d390c6, "flow_block_cb_setup_simple" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xcb275260, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa678314d, "pci_enable_msi" },
	{ 0x592d266a, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa944f835, "_dev_err" },
	{ 0x8cfb1107, "softnet_data" },
	{ 0xb413eee6, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99300390, "cpu_bit_bitmap" },
	{ 0xfc2346fd, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5e06c5e0, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0xe120f5c6, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x727e4e40, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa22a4246, "netif_set_real_num_tx_queues" },
	{ 0x1d4e8a0d, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8c533d, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4e07890b, "dma_alloc_attrs" },
	{ 0x5d2ec10a, "debugfs_remove" },
	{ 0x792aaf87, "pci_read_config_word" },
	{ 0x39b5d9e2, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x99984b6e, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x81f26718, "dcbnl_ieee_notify" },
	{ 0xc5fb753b, "xsk_uses_need_wakeup" },
	{ 0xcb5e9001, "register_netdev" },
	{ 0xacc5a728, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x92f2c664, "free_netdev" },
	{ 0x1d49c5c6, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xde46acf, "ethtool_op_get_link" },
	{ 0x9f95abf6, "eth_platform_get_mac_address" },
	{ 0x3b6032e7, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x61f84a4a, "netif_tx_stop_all_queues" },
	{ 0x496543ab, "pci_restore_state" },
	{ 0x550475b9, "netif_tx_wake_queue" },
	{ 0xc4ae1b62, "device_del" },
	{ 0x9acf525, "netdev_set_sb_channel" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xb418881b, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xe1c3c83f, "dcb_getapp" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x3c3c4b8f, "_dev_warn" },
	{ 0x941ef7e3, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xfddd9697, "ptp_clock_event" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc7e38241, "netif_schedule_queue" },
	{ 0xab4806a3, "__alloc_pages" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0x39635100, "pci_set_master" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7b966776, "flow_rule_match_ipv6_addrs" },
	{ 0x6c125bf4, "netdev_set_tc_queue" },
	{ 0xbcb9cf42, "ptp_clock_unregister" },
	{ 0x2a02b3bd, "__pskb_pull_tail" },
	{ 0x650f12de, "xp_dma_unmap" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9b5ce8f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa7e9f673, "netdev_unbind_sb_channel" },
	{ 0x1ab45f1c, "dma_set_coherent_mask" },
	{ 0x36d02ede, "bpf_trace_run3" },
	{ 0xd0fd23e0, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe5e5c85c, "ipv6_find_hdr" },
	{ 0x38a43b93, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x2467f2fd, "debugfs_create_file" },
	{ 0xb4e62c37, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1be609c1, "netdev_reset_tc" },
	{ 0xfae9aebf, "dma_free_attrs" },
	{ 0xeacfb0ff, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7d7422e5, "call_netdevice_notifiers" },
	{ 0x52a5dcc8, "xp_set_rxq_info" },
	{ 0x24b4511f, "flow_rule_match_vlan" },
	{ 0xdb443157, "xdp_rxq_info_unreg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5ba6baf0, "napi_build_skb" },
	{ 0xc94e605a, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd718a752, "netif_carrier_off" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x4e8339ac, "__hw_addr_sync_dev" },
	{ 0x15c33746, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xea8221ec, "netif_carrier_on" },
	{ 0xae96fb32, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xa9a13449, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4c7a57cf, "dev_uc_add_excl" },
	{ 0x3ef687ce, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd4e566e4, "xp_free" },
	{ 0x5743db57, "dev_mc_add_excl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x71268a55, "dev_uc_add" },
	{ 0x7acdc0f1, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x633c817a, "_dev_crit" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0x8d5805c6, "xdp_master_redirect" },
	{ 0x19588331, "__napi_schedule_irqoff" },
	{ 0x8934dad3, "napi_schedule_prep" },
	{ 0x680134fd, "napi_consume_skb" },
	{ 0x4886110f, "pci_read_config_byte" },
	{ 0x691a22c7, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xaaeb6b93, "napi_disable" },
	{ 0x7ce212cf, "dev_kfree_skb_any_reason" },
	{ 0x348d927d, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x349cba85, "strchr" },
	{ 0x20c25d94, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7497854f, "flow_rule_match_control" },
	{ 0x32626a5e, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xac40e4e7, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x479903df, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0x58211d46, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x8b8d3de6, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2EBA6962139C71F20C04085");
