#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xccb75505, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xdbf6b754, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x4ee5d507, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xb361cf14, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x0004f967, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x8e7149ed, "xsk_tx_completed" },
	{ 0x2fa2a7f7, "alloc_etherdev_mqs" },
	{ 0x581002e5, "flow_block_cb_lookup" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x91f3940e, "pci_save_state" },
	{ 0x5096ba2f, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x433d4fd8, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf95fae9f, "device_set_wakeup_enable" },
	{ 0x52e5ac62, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x34a6cfd, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x79e14cc6, "pci_find_ext_capability" },
	{ 0xc3346263, "kthread_create_worker" },
	{ 0x597f7fea, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x36560c10, "xp_dma_map" },
	{ 0x23d34f8, "devlink_unregister" },
	{ 0xd43c6936, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xa18a577a, "devm_request_threaded_irq" },
	{ 0x8f1cf354, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xb35ebc47, "devm_kmalloc" },
	{ 0xf2bffa87, "pci_wake_from_d3" },
	{ 0x1e96b23f, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd9d528c6, "__napi_alloc_skb" },
	{ 0x1f3d6d8a, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf658880f, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcd2777ae, "auxiliary_device_init" },
	{ 0xb39de25b, "pci_enable_device_mem" },
	{ 0xe4baa5e5, "consume_skb" },
	{ 0xe4b45794, "kthread_delayed_work_timer_fn" },
	{ 0x16e3a733, "flow_rule_match_enc_ip" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x8c700559, "pci_alloc_irq_vectors" },
	{ 0xca6c742b, "flow_rule_match_l2tpv3" },
	{ 0xa34b3843, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcb34ceee, "xsk_tx_peek_release_desc_batch" },
	{ 0x74b8663b, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xb3f227, "dmam_alloc_attrs" },
	{ 0x696e8e4d, "trace_raw_output_prep" },
	{ 0xfcd9571d, "devl_lock" },
	{ 0x70165d32, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xddff1afb, "ndo_dflt_bridge_getlink" },
	{ 0x9244198d, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8dd3019, "xdp_features_set_redirect_target" },
	{ 0x8529c310, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xddc6e1a9, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xb15f85dd, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xaaadc613, "request_firmware" },
	{ 0x8da97f0a, "trace_event_printf" },
	{ 0xabe9f0a6, "dev_uc_del" },
	{ 0xf7370f56, "system_state" },
	{ 0x6008019, "flow_rule_match_cvlan" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x408d90d5, "__pci_register_driver" },
	{ 0x7415e8eb, "devlink_params_unregister" },
	{ 0x47beab70, "dma_sync_single_for_device" },
	{ 0x28de896e, "pci_num_vf" },
	{ 0xb4c84bee, "flow_rule_match_eth_addrs" },
	{ 0xd6fe8b4c, "skb_add_rx_frag" },
	{ 0x854f6d6f, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9f1bd596, "ptp_clock_index" },
	{ 0xc69d200, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x79739b11, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x977834c9, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xdf1a033, "devl_rate_leaf_destroy" },
	{ 0x35714524, "devlink_register" },
	{ 0x269f2973, "xdp_do_redirect" },
	{ 0x7967eb98, "devlink_free" },
	{ 0xd26956e7, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2037c0c0, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1a347eb6, "devl_rate_node_create" },
	{ 0xccf82c8, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x66d6da54, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x519dd809, "pci_set_power_state" },
	{ 0xe7b827b6, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb46a391, "pci_irq_vector" },
	{ 0x56b8e9cf, "flow_rule_match_ipv4_addrs" },
	{ 0xc9d8a1bf, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbe40e412, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcdcda6d, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe9e4581a, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x1720906c, "netdev_err" },
	{ 0x4a6c0dc7, "pskb_expand_head" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xb4f289e1, "devlink_flash_update_status_notify" },
	{ 0x9cb01283, "dev_driver_string" },
	{ 0x2c478577, "pci_restore_msi_state" },
	{ 0x564f1f3c, "trace_event_buffer_commit" },
	{ 0xbb3dd75b, "xdp_return_buff" },
	{ 0x438ba773, "dev_addr_mod" },
	{ 0x5073d306, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x860f8687, "eth_type_trans" },
	{ 0x2ce5cd9f, "dma_map_page_attrs" },
	{ 0x151d6bba, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x27d63db5, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x7e64ba42, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xbbb40a46, "put_device" },
	{ 0xa209512, "devm_free_irq" },
	{ 0xb1ca1490, "net_dim" },
	{ 0x9e0b5ab1, "__napi_schedule" },
	{ 0xdaf8bea6, "ipv6_skip_exthdr" },
	{ 0xc58b60e1, "xsk_set_rx_need_wakeup" },
	{ 0xebf46056, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x3ecd7f22, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xa6db604c, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x6546718b, "__hw_addr_unsync_dev" },
	{ 0xbd27f14f, "_dev_info" },
	{ 0x23b271ef, "napi_gro_receive" },
	{ 0x6223ad85, "netif_device_attach" },
	{ 0x99844822, "xdp_features_clear_redirect_target" },
	{ 0x96701107, "netdev_pick_tx" },
	{ 0x25d5a00f, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb5eff299, "xp_raw_get_dma" },
	{ 0xa88dbe28, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x5ba423fe, "xdp_rxq_info_is_reg" },
	{ 0xed5a6cf8, "flow_rule_match_enc_opts" },
	{ 0x71d390c6, "flow_block_cb_setup_simple" },
	{ 0x25687494, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xcb275260, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x36eb086e, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x6db535bf, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ac34ac6, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x1c133c9f, "vlan_dev_real_dev" },
	{ 0xeedddca1, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xddda5368, "devm_kmemdup" },
	{ 0x1df00760, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x592d266a, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x7525b3ba, "devlink_port_unregister" },
	{ 0x3804ca08, "devlink_flash_update_timeout_notify" },
	{ 0xa8fa8d55, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa944f835, "_dev_err" },
	{ 0xc3346d82, "init_net" },
	{ 0x8cfb1107, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfc2346fd, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5e06c5e0, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xe120f5c6, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x727e4e40, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa22a4246, "netif_set_real_num_tx_queues" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x1d4e8a0d, "__auxiliary_device_add" },
	{ 0xf01b1bc, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x8c533d, "netif_set_real_num_rx_queues" },
	{ 0x9e2f4f0e, "flow_indr_block_cb_alloc" },
	{ 0x68a6bf71, "pci_wait_for_pending_transaction" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x3e654b09, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1bf1932d, "pci_device_is_present" },
	{ 0x792aaf87, "pci_read_config_word" },
	{ 0xce463b7f, "pcie_flr" },
	{ 0x39b5d9e2, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x99984b6e, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x81f26718, "dcbnl_ieee_notify" },
	{ 0xc5fb753b, "xsk_uses_need_wakeup" },
	{ 0xcb5e9001, "register_netdev" },
	{ 0x53801068, "dev_mc_del" },
	{ 0xacc5a728, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x92f2c664, "free_netdev" },
	{ 0x1d49c5c6, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xde46acf, "ethtool_op_get_link" },
	{ 0x3b6032e7, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x61f84a4a, "netif_tx_stop_all_queues" },
	{ 0x496543ab, "pci_restore_state" },
	{ 0xffae2c7f, "bpf_trace_run1" },
	{ 0x550475b9, "netif_tx_wake_queue" },
	{ 0xc4ae1b62, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xb418881b, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xe1c3c83f, "dcb_getapp" },
	{ 0xdafa8dcd, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x3c3c4b8f, "_dev_warn" },
	{ 0x941ef7e3, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xfddd9697, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc7e38241, "netif_schedule_queue" },
	{ 0xab4806a3, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x39635100, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7b966776, "flow_rule_match_ipv6_addrs" },
	{ 0x6c125bf4, "netdev_set_tc_queue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbcb9cf42, "ptp_clock_unregister" },
	{ 0x2a02b3bd, "__pskb_pull_tail" },
	{ 0x650f12de, "xp_dma_unmap" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4d029e47, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9b5ce8f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ab45f1c, "dma_set_coherent_mask" },
	{ 0x745a981, "xa_erase" },
	{ 0xfe5f22fe, "flow_rule_match_pppoe" },
	{ 0x103b9dce, "flow_rule_match_enc_control" },
	{ 0x36d02ede, "bpf_trace_run3" },
	{ 0xd0fd23e0, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xad2f06b0, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xec269da0, "rps_may_expire_flow" },
	{ 0xb4e62c37, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1be609c1, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd1bf274f, "devlink_params_register" },
	{ 0xeacfb0ff, "trace_event_buffer_reserve" },
	{ 0xe645564f, "kthread_destroy_worker" },
	{ 0x2f158c63, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6f52fd7c, "flow_rule_match_enc_ports" },
	{ 0x53964aaa, "xdp_return_frame_bulk" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x7d7422e5, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x1e06b2a5, "pcie_print_link_status" },
	{ 0x52a5dcc8, "xp_set_rxq_info" },
	{ 0x24b4511f, "flow_rule_match_vlan" },
	{ 0xdb443157, "xdp_rxq_info_unreg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5ba6baf0, "napi_build_skb" },
	{ 0x2fba44d1, "netdev_master_upper_dev_get_rcu" },
	{ 0xc94e605a, "__xdp_rxq_info_reg" },
	{ 0x11a7a3eb, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd718a752, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9e851c1e, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x4e8339ac, "__hw_addr_sync_dev" },
	{ 0xad59f2a5, "devlink_port_register_with_ops" },
	{ 0x15c33746, "pci_disable_sriov" },
	{ 0x73dc51c1, "pldmfw_flash_image" },
	{ 0x3fdb85d3, "kthread_queue_delayed_work" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xea8221ec, "netif_carrier_on" },
	{ 0xae96fb32, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4c7a57cf, "dev_uc_add_excl" },
	{ 0x3ef687ce, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd4e566e4, "xp_free" },
	{ 0x5743db57, "dev_mc_add_excl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7acdc0f1, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf9873648, "netif_set_tso_max_size" },
	{ 0xcaaf0f43, "__skb_flow_dissect" },
	{ 0x22e432bb, "vlan_dev_vlan_id" },
	{ 0xab408b2c, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x89b86ce0, "pcim_iomap_table" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0x8d5805c6, "xdp_master_redirect" },
	{ 0x7a9ad641, "__devm_add_action" },
	{ 0x8934dad3, "napi_schedule_prep" },
	{ 0x680134fd, "napi_consume_skb" },
	{ 0x4886110f, "pci_read_config_byte" },
	{ 0x691a22c7, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xaaeb6b93, "napi_disable" },
	{ 0x7ce212cf, "dev_kfree_skb_any_reason" },
	{ 0x348d927d, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x9945d92c, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xa85a44ed, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa506f1f5, "pci_free_irq_vectors" },
	{ 0x7497854f, "flow_rule_match_control" },
	{ 0x69e66d99, "flow_rule_match_ip" },
	{ 0x32626a5e, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xac40e4e7, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x479903df, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x58211d46, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x8b8d3de6, "netdev_info" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x8348395a, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "15937F2695CEE3467080A9E");
