#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x53f3c85d, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x6c6ca392, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x59f16d8c, "fasync_helper" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x7061e2b5, "__f_setown" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8b8d3de6, "netdev_info" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xe1c51c8c, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xea8221ec, "netif_carrier_on" },
	{ 0xd718a752, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12e5e082, "nla_put" },
	{ 0x28a6677a, "from_kgid_munged" },
	{ 0xcba5ce4, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3bb01130, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc6a9e4d8, "dev_get_tstats64" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x61f84a4a, "netif_tx_stop_all_queues" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3c6cc5d8, "rtnl_link_register" },
	{ 0x8778d070, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe776c349, "rtnl_link_unregister" },
	{ 0x8eef521c, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfc2346fd, "xdp_return_frame" },
	{ 0x24fba51a, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xbdf496a3, "kill_fasync" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdcb764ad, "memset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x78381cab, "__folio_put" },
	{ 0x55bae47c, "__put_devmap_managed_page_refs" },
	{ 0x4fb9f395, "dump_page" },
	{ 0x23b271ef, "napi_gro_receive" },
	{ 0x151d6bba, "napi_complete_done" },
	{ 0xb32c92ca, "build_skb" },
	{ 0x96612d7f, "skb_put" },
	{ 0x10eb6787, "skb_set_owner_w" },
	{ 0x597f7fea, "bpf_prog_put" },
	{ 0x3af64f81, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb5f52b3c, "sock_init_data_uid" },
	{ 0xc67dddb2, "sk_free" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x18902d08, "skb_queue_purge_reason" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc86f1964, "napi_get_frags" },
	{ 0xc8e62853, "iov_iter_single_seg_count" },
	{ 0x4a6c0dc7, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xaaeb6b93, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdb443157, "xdp_rxq_info_unreg" },
	{ 0xc9d8a1bf, "__netif_napi_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xce65c135, "module_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa22a4246, "netif_set_real_num_tx_queues" },
	{ 0x8c533d, "netif_set_real_num_rx_queues" },
	{ 0x8a680ecf, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcdcda6d, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x638c632f, "bpf_prog_get_type_dev" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2489fc2, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xcaaf0f43, "__skb_flow_dissect" },
	{ 0x2a02b3bd, "__pskb_pull_tail" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x5ba423fe, "xdp_rxq_info_is_reg" },
	{ 0xc94e605a, "__xdp_rxq_info_reg" },
	{ 0x5073d306, "xdp_rxq_info_reg_mem_model" },
	{ 0xa34b3843, "netif_napi_add_weight" },
	{ 0x39b5d9e2, "napi_enable" },
	{ 0x31bbf88e, "lock_sock_nested" },
	{ 0xcb48e388, "sk_attach_filter" },
	{ 0xd39784d6, "release_sock" },
	{ 0x169631a0, "__dev_get_by_name" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x5178fe70, "alloc_netdev_mqs" },
	{ 0xa61eff83, "ip_tunnel_header_ops" },
	{ 0x6a67c60b, "register_netdevice" },
	{ 0x550475b9, "netif_tx_wake_queue" },
	{ 0xf5c8418a, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x438ba773, "dev_addr_mod" },
	{ 0x92f2c664, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x975f0db7, "netdev_core_stats_alloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x493047f2, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x46415e35, "skb_copy_datagram_iter" },
	{ 0xafa4c6b4, "_copy_to_iter" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xdc1302c9, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1720906c, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe4baa5e5, "consume_skb" },
	{ 0xd7213ab8, "sock_recv_errqueue" },
	{ 0xf30da7bc, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xac40e4e7, "skb_clone_tx_timestamp" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xfee14638, "skb_tx_error" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x1e96b23f, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb63d77c0, "skb_copy_ubufs" },
	{ 0x2fcbac3c, "__skb_get_hash_symmetric" },
	{ 0x4a4aac2c, "___pskb_trim" },
	{ 0x269f2973, "xdp_do_redirect" },
	{ 0x70165d32, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x727e4e40, "__traceiter_xdp_exception" },
	{ 0x9496f126, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x9cce88a, "xdp_convert_zc_to_xdp_frame" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd0fd23e0, "__page_frag_cache_drain" },
	{ 0x860f8687, "eth_type_trans" },
	{ 0x8d5805c6, "xdp_master_redirect" },
	{ 0xc508f5e4, "do_xdp_generic" },
	{ 0xd933a6b7, "skb_page_frag_refill" },
	{ 0x1c1f4f34, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x47cb229b, "_copy_from_iter" },
	{ 0xb14a0717, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4f0e9576, "skb_copy_datagram_from_iter" },
	{ 0x8934dad3, "napi_schedule_prep" },
	{ 0xdf4d4538, "sock_alloc_send_pskb" },
	{ 0xb94ea00f, "zerocopy_sg_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1e8fb31b, "skb_push" },
	{ 0xa88dbe28, "eth_get_headlen" },
	{ 0x2d27a63e, "napi_gro_frags" },
	{ 0x991d0aa2, "iov_iter_revert" },
	{ 0x9e0b5ab1, "__napi_schedule" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xb12e7e0a, "dev_get_mac_address" },
	{ 0x9d56a524, "get_net_ns" },
	{ 0x39380162, "open_related_ns" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x23859ad4, "sk_detach_filter" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x6102e2fc, "netdev_update_features" },
	{ 0xf4f5959e, "make_kgid" },
	{ 0x7fd79963, "make_kuid" },
	{ 0xf84a2eb1, "init_user_ns" },
	{ 0xdfdad08d, "from_kuid" },
	{ 0x3feeba89, "dev_set_mac_address_user" },
	{ 0x7d7422e5, "call_netdevice_notifiers" },
	{ 0x50d1a2f8, "from_kgid" },
	{ 0x33b9103e, "__module_get" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xde46acf, "ethtool_op_get_link" },
	{ 0x58211d46, "ethtool_op_get_ts_info" },
	{ 0x1ad916ba, "passthru_features_check" },
	{ 0x697a481e, "eth_mac_addr" },
	{ 0xd26956e7, "eth_validate_addr" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C1D5F3A8406F2B17615BCB9");
