#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0xa0f103f0, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x23a83449, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x6dd022db, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xcb9fe246, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0xa9cc8449, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9d28c26e, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x7ef9f557, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xb608bb75, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x8d3cf68c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x6c878e6c, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x91e66b24, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xb0df04dc, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x50584f71, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x02ba0023, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xe7c5c95a, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x56884276, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x3db9c3ac, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x87ad118b, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x7870a3b3, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xae0ab9c5, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x8077afce, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x59f8911c, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x9bbd9b90, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xc025289a, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x2206640d, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x85a027d1, "_gpl");
SYMBOL_CRC(mt76_rx, 0x628c95d7, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x0f02beba, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xf362c48d, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x45c16ad9, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x6f02a0f8, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x99f87202, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xdf115d42, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x1cff9b25, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xbf8532ad, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x189df35b, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x781d7263, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x7f9f0b6d, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x2c572cc5, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xf22849a7, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x19cfc7cb, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x36c14fdc, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xc0228e7f, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x68a0285b, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x8cb330e8, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0xbcece407, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xf88593ed, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xe3579e2b, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x72932364, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x2c05ecca, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x91d56204, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x1a8a54d6, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xe9d62b57, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x6fbffee5, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x0549e215, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x82a7e857, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x2c5866a4, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0x41b4d89d, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x70a91efc, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x0560ff63, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x07e428ec, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x0242c93f, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x0350b6d9, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x3691cc2d, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x1a2ef863, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x2515af31, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x95a40683, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x29ab2c3f, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x4b019ce7, "_gpl");
SYMBOL_CRC(mt76_tx, 0x57444b52, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x209beb34, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x2cdc16c2, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xadb1cf36, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x11ae8a10, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x3e6c38b2, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x65ab9b4e, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x55ae12f2, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x10044fc3, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x79215ef0, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x2983483a, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x29ad5c03, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xf3d84e29, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xec4a16d7, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x8740f552, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x51f96ca5, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x571e7aec, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xae6d1217, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x29642c98, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xbe368670, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x3156499a, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xb93a244d, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x061b5f3f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x335f9492, "ieee80211_sta_register_airtime" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x325705bd, "pcie_capability_read_word" },
	{ 0x52e5ac62, "__skb_pad" },
	{ 0x1fe21295, "page_pool_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb02fcdcd, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5f01c8e5, "__ieee80211_schedule_txq" },
	{ 0xd10ab7d9, "debugfs_attr_write" },
	{ 0xb35ebc47, "devm_kmalloc" },
	{ 0x542165c0, "of_node_put" },
	{ 0x96612d7f, "skb_put" },
	{ 0xc3628544, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf90d81d3, "page_pool_alloc_frag" },
	{ 0xe4baa5e5, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xa34b3843, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3f227, "dmam_alloc_attrs" },
	{ 0x696e8e4d, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x470ac803, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8529c310, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9674168b, "ieee80211_free_hw" },
	{ 0xb15f85dd, "dma_unmap_page_attrs" },
	{ 0x1ac8c7c9, "ieee80211_txq_schedule_start" },
	{ 0x8da97f0a, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x47beab70, "dma_sync_single_for_device" },
	{ 0xd6fe8b4c, "skb_add_rx_frag" },
	{ 0x8c63e3be, "ieee80211_tx_status_ext" },
	{ 0x97537c79, "debugfs_create_blob" },
	{ 0xc69d200, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xbaf6d7c3, "page_pool_destroy" },
	{ 0x662fab11, "ieee80211_register_hw" },
	{ 0xdfba16a5, "led_classdev_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeae0a1ab, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa7518108, "ieee80211_sta_eosp" },
	{ 0x753b051f, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc9d8a1bf, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd3d38c8f, "kthread_park" },
	{ 0xf600f39f, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x4926bec1, "of_get_property" },
	{ 0x4ebfc230, "wake_up_process" },
	{ 0x9cb01283, "dev_driver_string" },
	{ 0x564f1f3c, "trace_event_buffer_commit" },
	{ 0x2ce5cd9f, "dma_map_page_attrs" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x151d6bba, "napi_complete_done" },
	{ 0xf7f866c3, "ieee80211_get_tx_rates" },
	{ 0xd60130b6, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xbafd490b, "ieee80211_sta_uapsd_trigger" },
	{ 0xa36791c3, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x379729a2, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7ac2b1d8, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x46885907, "pci_disable_link_state" },
	{ 0xbd27f14f, "_dev_info" },
	{ 0x23b271ef, "napi_gro_receive" },
	{ 0x4ef1a9d6, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xf6f47f3, "skb_queue_tail" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x8f465a81, "dev_set_threaded" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7eeea5bc, "of_get_child_by_name" },
	{ 0x8da80f6, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb4732fca, "ieee80211_queue_delayed_work" },
	{ 0xddda5368, "devm_kmemdup" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x592d266a, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd14e5f9e, "of_prop_next_string" },
	{ 0xa792425a, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x26dee853, "simple_attr_release" },
	{ 0x2a2851b1, "ieee80211_calc_rx_airtime" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd3b3a3e0, "ieee80211_find_sta_by_ifaddr" },
	{ 0x140b99f6, "ieee80211_next_txq" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbe7ac163, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1e8fb31b, "skb_push" },
	{ 0x39b5d9e2, "napi_enable" },
	{ 0x7cc40a26, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xacc5a728, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x86abdcab, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0xe7ab0e30, "wiphy_read_of_freq_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x10b78a05, "of_find_property" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf068971f, "kthread_stop" },
	{ 0x29e61e4c, "ieee80211_free_txskb" },
	{ 0xd49c6433, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1290a89, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3d7bb89f, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x1018b7b, "ieee80211_rx_list" },
	{ 0xb418881b, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x668e395b, "page_pool_create" },
	{ 0xc9c7cef9, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x949165f3, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37570662, "kthread_create_on_node" },
	{ 0xad0e40d6, "cfg80211_reg_can_beacon" },
	{ 0x36d02ede, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xeacfb0ff, "trace_event_buffer_reserve" },
	{ 0xeadbbf56, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf5359b60, "ieee80211_unregister_hw" },
	{ 0x5ba6baf0, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x48aabd4e, "of_nvmem_cell_get" },
	{ 0x493047f2, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x650c459d, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0xf975ce39, "ieee80211_sta_ps_transition" },
	{ 0x25226fa6, "debugfs_create_u8" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x20c25d94, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd1e1f6dc, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x740bd845, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "CA042EA8D1A93A4795925C8");
