#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(srp_tmo_valid, "_gpl", "");
KSYMTAB_FUNC(srp_parse_tmo, "", "");
KSYMTAB_FUNC(srp_start_tl_fail_timers, "", "");
KSYMTAB_FUNC(srp_reconnect_rport, "", "");
KSYMTAB_FUNC(srp_timed_out, "", "");
KSYMTAB_FUNC(srp_rport_get, "", "");
KSYMTAB_FUNC(srp_rport_put, "", "");
KSYMTAB_FUNC(srp_rport_add, "_gpl", "");
KSYMTAB_FUNC(srp_rport_del, "_gpl", "");
KSYMTAB_FUNC(srp_remove_host, "_gpl", "");
KSYMTAB_FUNC(srp_stop_rport_timers, "_gpl", "");
KSYMTAB_FUNC(srp_attach_transport, "_gpl", "");
KSYMTAB_FUNC(srp_release_transport, "_gpl", "");

SYMBOL_CRC(srp_tmo_valid, 0x1902178a, "_gpl");
SYMBOL_CRC(srp_parse_tmo, 0x405b6e05, "");
SYMBOL_CRC(srp_start_tl_fail_timers, 0xe351465a, "");
SYMBOL_CRC(srp_reconnect_rport, 0xd8d79130, "");
SYMBOL_CRC(srp_timed_out, 0x16615562, "");
SYMBOL_CRC(srp_rport_get, 0x6751ae43, "");
SYMBOL_CRC(srp_rport_put, 0x2cfb4cb2, "");
SYMBOL_CRC(srp_rport_add, 0xd2af2351, "_gpl");
SYMBOL_CRC(srp_rport_del, 0x27701958, "_gpl");
SYMBOL_CRC(srp_remove_host, 0x6d2294fd, "_gpl");
SYMBOL_CRC(srp_stop_rport_timers, 0x4f1a83b2, "_gpl");
SYMBOL_CRC(srp_attach_transport, 0xcd5c8a48, "_gpl");
SYMBOL_CRC(srp_release_transport, 0xdd03b70f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xe6c101a7, "device_for_each_child" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xbbb40a46, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a7c46ce, "get_device" },
	{ 0xbc56f347, "transport_remove_device" },
	{ 0xc4ae1b62, "device_del" },
	{ 0x35dfc32c, "transport_destroy_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x685f5cf2, "transport_class_register" },
	{ 0x803c806c, "transport_class_unregister" },
	{ 0x5a921311, "strncmp" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4829a47e, "memcpy" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa034c726, "device_initialize" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa0a90386, "dev_set_name" },
	{ 0x84872d05, "transport_setup_device" },
	{ 0x6eb30809, "device_add" },
	{ 0xe88e30f9, "transport_add_device" },
	{ 0x44646234, "transport_configure_device" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2b28afcd, "attribute_container_register" },
	{ 0x4605e54, "attribute_container_unregister" },
	{ 0xdd01c70f, "scsi_is_host_device" },
	{ 0x463b5ffb, "scsi_target_unblock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa6c3217b, "scsi_block_targets" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x25d1fad9, "__scsi_iterate_devices" },
	{ 0x92df7f58, "_dev_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B81F578C8A9A5FA95AB73FF");
