#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xf105c83c, "");
SYMBOL_CRC(wpan_phy_for_each, 0xd48892f0, "");
SYMBOL_CRC(wpan_phy_new, 0xd5bf11f2, "");
SYMBOL_CRC(wpan_phy_register, 0xfaa3e712, "");
SYMBOL_CRC(wpan_phy_unregister, 0x0e0632d2, "");
SYMBOL_CRC(wpan_phy_free, 0xab6f2048, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x962ec570, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x08d188b6, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x9dab15d1, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xcec58e5c, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0xcdef0630, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x40399f32, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x6ddab019, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xffae30d9, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xc80b3761, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xf29cea9e, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x6b28f8d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x89741129, "bpf_trace_run4" },
	{ 0x96612d7f, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa0a90386, "dev_set_name" },
	{ 0x5599425a, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x696e8e4d, "trace_raw_output_prep" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x8529c310, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8da97f0a, "trace_event_printf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa034c726, "device_initialize" },
	{ 0xf3b9297, "genlmsg_put" },
	{ 0xc69d200, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2037c0c0, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4a7c46ce, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2b99011a, "device_rename" },
	{ 0x564f1f3c, "trace_event_buffer_commit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xbbb40a46, "put_device" },
	{ 0x3d15ddb0, "netlink_broadcast" },
	{ 0x7ac2b1d8, "__alloc_skb" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x77337f2, "class_for_each_device" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd617ae4b, "__dev_get_by_index" },
	{ 0x592d266a, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xc3346d82, "init_net" },
	{ 0x87b9694f, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6eb30809, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa8192685, "netlink_unicast" },
	{ 0x207153ca, "dev_get_by_index" },
	{ 0x24fba51a, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x1e8fb31b, "skb_push" },
	{ 0x12e5e082, "nla_put" },
	{ 0xacc5a728, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3b71f58c, "class_unregister" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xb32b8b64, "unregister_pernet_device" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xffae2c7f, "bpf_trace_run1" },
	{ 0xc4ae1b62, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x840c5813, "dev_set_mac_address" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2a02b3bd, "__pskb_pull_tail" },
	{ 0x1ae3002f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x36d02ede, "bpf_trace_run3" },
	{ 0xe9eb5f95, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6056201f, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xeacfb0ff, "trace_event_buffer_reserve" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x35825102, "device_match_name" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9577a647, "dev_get_by_name" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb156b589, "genl_unregister_family" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x1d83693b, "genl_register_family" },
	{ 0x7490e66, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceaf99ac, "register_pernet_device" },
	{ 0xfaa43dce, "get_net_ns_by_fd" },
	{ 0x78b8fb08, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x69779a11, "class_find_device" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "09D61B79C7F666EA2474C47");
