#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(of_drm_find_bridge, "", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_width, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_height, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_debug, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_gpuva_manager_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_manager_destroy, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_gem_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(of_drm_find_panel, "", "");
KSYMTAB_FUNC(of_drm_get_panel_orientation, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_of_crtc_port_mask, "", "");
KSYMTAB_FUNC(drm_of_find_possible_crtcs, "", "");
KSYMTAB_FUNC(drm_of_component_match_add, "_gpl", "");
KSYMTAB_FUNC(drm_of_component_probe, "", "");
KSYMTAB_FUNC(drm_of_encoder_active_endpoint, "_gpl", "");
KSYMTAB_FUNC(drm_of_find_panel_or_bridge, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_dual_link_pixel_order, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_data_mapping, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count_ep, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_dsi_bus, "_gpl", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(__drm_set_edid_firmware_path, "", "");
KSYMTAB_FUNC(__drm_get_edid_firmware_path, "", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x560dcf95, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x3effad8c, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0xb3e09cef, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x4a577c61, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0x09677dc3, "");
SYMBOL_CRC(drm_atomic_state_init, 0xd3f464a2, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xbb010408, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0xab5579e9, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x41e2daf4, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x42e7f2ec, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0xedd4aa3b, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0xe96b0065, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0xf496cb32, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0xbc3d00ee, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x721dbea1, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xf36cfcb6, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0xe58c2daf, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x64fd6fb8, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xa7c91cf7, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xad9bb4e5, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0xc3d5ad39, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x2dd08c08, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0xa6adad3e, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x551e8ede, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xac97c47c, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x1b60ea65, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x5eacdb63, "");
SYMBOL_CRC(drm_atomic_check_only, 0x640473bf, "");
SYMBOL_CRC(drm_atomic_commit, 0x4a07f5b2, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x0d3499e6, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0xdb25b638, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x8f374382, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x2d857dd8, "");
SYMBOL_CRC(drm_state_dump, 0x1581744d, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x0758c172, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x9feebce4, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x301a47cd, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x829474f2, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x945ca9a5, "");
SYMBOL_CRC(drm_is_current_master, 0x2872e1d2, "");
SYMBOL_CRC(drm_master_get, 0xf223ef89, "");
SYMBOL_CRC(drm_file_get_master, 0xc78bca8f, "");
SYMBOL_CRC(drm_master_put, 0x17f02629, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x865e5532, "");
SYMBOL_CRC(drm_master_internal_release, 0x9bf4ad8f, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xe161f067, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xd52487e5, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x64f86c1e, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x35231ae6, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x7a2c865e, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x7f53236c, "");
SYMBOL_CRC(drm_bridge_add, 0xd440d64b, "");
SYMBOL_CRC(devm_drm_bridge_add, 0xdc0cbef7, "");
SYMBOL_CRC(drm_bridge_remove, 0x99565be3, "");
SYMBOL_CRC(drm_bridge_attach, 0xe17204cf, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0xa502ef5a, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0xeec2e8bc, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x9d2be95f, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x41c99061, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0xc9a9a364, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x580c75d2, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x383961fe, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x678a7858, "");
SYMBOL_CRC(drm_bridge_detect, 0xd9c3e88d, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x74e18797, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x4481f1fc, "_gpl");
SYMBOL_CRC(drm_bridge_get_edid, 0x3b5a1d0f, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x67b8d6b5, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x2a14adc3, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x79e16586, "_gpl");
SYMBOL_CRC(of_drm_find_bridge, 0x53a224fb, "");
SYMBOL_CRC(drm_clflush_pages, 0x07733ae4, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0xc281ec6b, "");
SYMBOL_CRC(drm_client_register, 0xe7d329ac, "");
SYMBOL_CRC(drm_client_release, 0xd7e2d758, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xe4520ef0, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0xfa485c63, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0xb65ae416, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x374eb804, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x76f558bc, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xb00ea19b, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x6531b524, "");
SYMBOL_CRC(drm_client_rotation, 0x6e61041f, "");
SYMBOL_CRC(drm_client_modeset_check, 0xc1c6768f, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x553f60a4, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xb5509414, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x5ad8df58, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x30f25fe4, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x32be96ad, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0xcaa9a7a5, "");
SYMBOL_CRC(drm_color_lut_check, 0x5a8af0e3, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xd469df99, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x06221bb9, "");
SYMBOL_CRC(drmm_connector_init, 0x5210e30a, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xeb8766d3, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x4e948417, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x89545224, "");
SYMBOL_CRC(drm_connector_cleanup, 0x36e75198, "");
SYMBOL_CRC(drm_connector_register, 0x83840972, "");
SYMBOL_CRC(drm_connector_unregister, 0xf4fbe4a9, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x6e66d0a2, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x25475b86, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x9bd2a212, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0x7c0d9cad, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xe536af16, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0xdf94187b, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x9f9fef69, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x097078b8, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xff9ad63b, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xd8af0e0a, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0xd334eefb, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0xd217b01f, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x5a86a3c7, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0xbd49bcf2, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x44de2299, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x1e093f23, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x78b9bc05, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x6f6930c5, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x2aed1a20, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x21ae57fb, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x74511d13, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xc7a77373, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x5f5577ad, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x5df84ab1, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xa4ff6208, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x0b2e8e31, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0xe8d81584, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0xf2d7950b, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0xce7379a3, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0xc6e85946, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xcaac461e, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xfa2d1234, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0xe6efa140, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x6e251961, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x0b7eb80f, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x2bbbc560, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x9eb8e2be, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x0fec14db, "");
SYMBOL_CRC(drm_crtc_from_index, 0xd6df13f1, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x952d09c2, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x07c3956d, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0xe1c2ebf2, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x9105bee5, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0xf28dd9c2, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x8771d49a, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x2c877ecc, "");
SYMBOL_CRC(drm_put_dev, 0xe2cf5e37, "");
SYMBOL_CRC(drm_dev_enter, 0x2c29a370, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x270a773a, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x0c0bf3ac, "");
SYMBOL_CRC(drm_dev_alloc, 0x40861e3f, "");
SYMBOL_CRC(drm_dev_get, 0xd9f4a635, "");
SYMBOL_CRC(drm_dev_put, 0x76865fd1, "");
SYMBOL_CRC(drm_dev_register, 0x47f1065f, "");
SYMBOL_CRC(drm_dev_unregister, 0x8fb7beb5, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x24993e50, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0x8d72789e, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0xf73f36c4, "");
SYMBOL_CRC(drm_do_get_edid, 0x142dd783, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x4489a5e9, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x3fc97e16, "");
SYMBOL_CRC(drm_get_edid, 0xb6eea165, "");
SYMBOL_CRC(drm_edid_read_custom, 0x9b1acc03, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x94b17fbe, "");
SYMBOL_CRC(drm_edid_read, 0x64cb3ac9, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0x444fd6ff, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0xa9cc71ff, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x43942e88, "");
SYMBOL_CRC(drm_edid_duplicate, 0x7edf470b, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x5d944d4e, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x1292a085, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x7c545285, "");
SYMBOL_CRC(drm_edid_to_sad, 0x6ac01ea8, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3cdc37e9, "");
SYMBOL_CRC(drm_av_sync_delay, 0x700b9e5f, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0x38690d99, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xa248afde, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xa6473de9, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x5c37c391, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x4e0ddc04, "");
SYMBOL_CRC(drm_add_edid_modes, 0x96ccd15b, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x53e24c31, "");
SYMBOL_CRC(drm_set_preferred_mode, 0xe1ada18f, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xffe1745c, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x87eacb41, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xc33e9c1f, "");
SYMBOL_CRC(drm_encoder_init, 0x8c2ace73, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x530e75d2, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0xce0542ad, "");
SYMBOL_CRC(drmm_encoder_init, 0xf01dbcd1, "");
SYMBOL_CRC(drm_open, 0xdd387923, "");
SYMBOL_CRC(drm_release, 0xd905f225, "");
SYMBOL_CRC(drm_release_noglobal, 0x6157149b, "");
SYMBOL_CRC(drm_read, 0x379d5c57, "");
SYMBOL_CRC(drm_poll, 0x1f8d1463, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x099314e3, "");
SYMBOL_CRC(drm_event_reserve_init, 0xe546fb5f, "");
SYMBOL_CRC(drm_event_cancel_free, 0x475a1d96, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x5a3454fa, "");
SYMBOL_CRC(drm_send_event_locked, 0x4475426a, "");
SYMBOL_CRC(drm_send_event, 0x29733f10, "");
SYMBOL_CRC(drm_print_memory_stats, 0x16b809c8, "");
SYMBOL_CRC(drm_show_memory_stats, 0x733cee8b, "");
SYMBOL_CRC(drm_show_fdinfo, 0x0267ece2, "");
SYMBOL_CRC(mock_drm_getfile, 0x31275c80, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0xa2c82f8d, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x80e56a0d, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0xd4294bed, "");
SYMBOL_CRC(drm_framebuffer_init, 0x7090c78a, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x388c27b5, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x8772087f, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x20b310ef, "");
SYMBOL_CRC(drm_framebuffer_remove, 0xaa28e90f, "");
SYMBOL_CRC(drm_framebuffer_plane_width, 0xe904ce92, "");
SYMBOL_CRC(drm_framebuffer_plane_height, 0xe17b67da, "");
SYMBOL_CRC(drm_gem_object_init, 0x9c16e288, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xd79978f6, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x57d2998c, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x9658ddcb, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x2e43cbe0, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x60739cd9, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x878dc8d4, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x07f535e6, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x775dd5ff, "");
SYMBOL_CRC(drm_gem_get_pages, 0xd0d198e1, "");
SYMBOL_CRC(drm_gem_put_pages, 0x73721e04, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x3ceed538, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x9ea8c995, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x13402d1d, "");
SYMBOL_CRC(drm_gem_object_release, 0x7892b7d9, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xf217f71c, "");
SYMBOL_CRC(drm_gem_vm_close, 0x75b099db, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x497981cd, "");
SYMBOL_CRC(drm_gem_mmap, 0xf288bef8, "");
SYMBOL_CRC(drm_gem_vmap, 0x3892c705, "");
SYMBOL_CRC(drm_gem_vunmap, 0x81ace3c8, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x3b40e3d7, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0xca6df7d6, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xa98d4513, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x3c124f9b, "");
SYMBOL_CRC(drm_gem_lru_init, 0xa956955b, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xc0e46d74, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x6ba073aa, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xaac47c06, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x4cc87130, "");
SYMBOL_CRC(drm_gem_evict, 0xdfb3573c, "");
SYMBOL_CRC(drm_noop, 0x10b61f5b, "");
SYMBOL_CRC(drm_invalid_op, 0xedb5eaa6, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x7bd66b84, "");
SYMBOL_CRC(drm_ioctl, 0xb8047978, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0xd457f0b8, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x1fbefd60, "");
SYMBOL_CRC(drmm_kmalloc, 0x1b62a161, "");
SYMBOL_CRC(drmm_kstrdup, 0x19f8fac7, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x0af29af3, "");
SYMBOL_CRC(__drmm_mutex_release, 0x81a31f30, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x0f7acb66, "");
SYMBOL_CRC(drm_mode_config_reset, 0xf43bc163, "");
SYMBOL_CRC(drmm_mode_config_init, 0xf9cb59f4, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x183d4a46, "");
SYMBOL_CRC(drm_mode_object_find, 0x17634543, "");
SYMBOL_CRC(drm_mode_object_put, 0x1c4f6b95, "");
SYMBOL_CRC(drm_mode_object_get, 0x10b022b0, "");
SYMBOL_CRC(drm_object_attach_property, 0x05535dc6, "");
SYMBOL_CRC(drm_object_property_set_value, 0xbd054b28, "");
SYMBOL_CRC(drm_object_property_get_value, 0xdad89fb8, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x716bc1a9, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x50c67c65, "");
SYMBOL_CRC(drm_mode_destroy, 0xe3eeaacf, "");
SYMBOL_CRC(drm_mode_probed_add, 0x3f740941, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x1b208db5, "");
SYMBOL_CRC(drm_cvt_mode, 0xef5a271d, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xe8ac1b0f, "");
SYMBOL_CRC(drm_gtf_mode, 0xc50654c6, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x1f7c0fc9, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x7319772c, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x6b2aa51e, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xf502bc86, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x1805e5ff, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0xda0e74cd, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x1750212c, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe3ac15d5, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xdd3c6afa, "");
SYMBOL_CRC(drm_mode_is_420, 0xdb320a08, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xa3a7190c, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0xa0e2d210, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0xb550bf84, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x2be63fca, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x29b0a8aa, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x814bdc7c, "");
SYMBOL_CRC(drm_modeset_backoff, 0x61136978, "");
SYMBOL_CRC(drm_modeset_lock_init, 0xaf0b5bb7, "");
SYMBOL_CRC(drm_modeset_lock, 0x623fe290, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x92ba8f6b, "");
SYMBOL_CRC(drm_modeset_unlock, 0xe902c0ae, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x75f0b804, "");
SYMBOL_CRC(drm_universal_plane_init, 0x59b9a513, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x680edec1, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x89352a1e, "");
SYMBOL_CRC(drm_plane_cleanup, 0x7cbfcc4e, "");
SYMBOL_CRC(drm_plane_from_index, 0x3430dcd9, "");
SYMBOL_CRC(drm_plane_force_disable, 0x7332e0f2, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x3ff05e36, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x75fcf05f, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x13102a16, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x8d62f5f1, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x141533c0, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0xd851d526, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x934b2bd1, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x91796888, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xb96f0403, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0xc7ed3b0b, "");
SYMBOL_CRC(drm_gem_map_attach, 0x39768d17, "");
SYMBOL_CRC(drm_gem_map_detach, 0x06cac3fa, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xa4f9aabd, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x21cc81a4, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x24b3e4a6, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x8a487d1a, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x95bf1fb0, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0xe84f7201, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x3651a80e, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x46edb86e, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0xa6bcf792, "");
SYMBOL_CRC(drm_gem_prime_import, 0x0379e24c, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x0e8cd6c6, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0xd92e3eba, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x3b0e5e9c, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xea00fe81, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x513072fe, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0xfeb953b1, "");
SYMBOL_CRC(__drm_printfn_info, 0xe317082a, "");
SYMBOL_CRC(__drm_printfn_debug, 0xf824c7db, "");
SYMBOL_CRC(__drm_printfn_err, 0x3f405489, "");
SYMBOL_CRC(drm_puts, 0x521ad6d0, "");
SYMBOL_CRC(drm_printf, 0x28779e52, "");
SYMBOL_CRC(drm_print_bits, 0x32a0cc37, "");
SYMBOL_CRC(drm_dev_printk, 0x0ec1f27b, "");
SYMBOL_CRC(__drm_dev_dbg, 0x5f657f75, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0xc7f270ed, "");
SYMBOL_CRC(drm_property_create, 0x7b9de463, "");
SYMBOL_CRC(drm_property_create_enum, 0x09525ec7, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xf24c8393, "");
SYMBOL_CRC(drm_property_create_range, 0xaecb93c7, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xe5b2ae73, "");
SYMBOL_CRC(drm_property_create_object, 0x6a9d3e8b, "");
SYMBOL_CRC(drm_property_create_bool, 0xefa93f34, "");
SYMBOL_CRC(drm_property_add_enum, 0x61661c47, "");
SYMBOL_CRC(drm_property_destroy, 0x49f8078e, "");
SYMBOL_CRC(drm_property_create_blob, 0x1b21a921, "");
SYMBOL_CRC(drm_property_blob_put, 0x6d3e8e05, "");
SYMBOL_CRC(drm_property_blob_get, 0xa4547664, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x1faef740, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x02eb0944, "");
SYMBOL_CRC(drm_property_replace_blob, 0x96704adb, "");
SYMBOL_CRC(drm_syncobj_find, 0x3e55e633, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x7628b4a9, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x1e40d768, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x990c7a98, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x2620809b, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x68b78265, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x955049c9, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x102c4044, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x3d079f64, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x0d07d097, "");
SYMBOL_CRC(drm_class_device_register, 0xd39613ca, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x097bcec8, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x0b8bb9c9, "");
SYMBOL_CRC(drm_vblank_init, 0x946cbc24, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x9257f135, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x77ff5df2, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x9fb381ca, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x263cb758, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x38060466, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xcbb82310, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xbd1ee41d, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x5175df5e, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x07525519, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x63005717, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xaac2557c, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x3ba1864e, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xc83b7492, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xfff8da31, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xe19444b5, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x0d882283, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0xe5f5b088, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x027184ce, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0xa52fff3d, "");
SYMBOL_CRC(drm_handle_vblank, 0xa671e52a, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x44b171b7, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x166dfcca, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x1162c328, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x486cc959, "");
SYMBOL_CRC(drm_vblank_work_init, 0x676da0b4, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x3c22a4d8, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x07fb449a, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xc7910e38, "");
SYMBOL_CRC(drm_vma_offset_add, 0xe8a0e334, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x4831da6e, "");
SYMBOL_CRC(drm_vma_node_allow, 0xc7d04fc5, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x820ac5c0, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x7b2e2166, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x24cf437a, "");
SYMBOL_CRC(drm_gpuva_manager_init, 0xe388f156, "_gpl");
SYMBOL_CRC(drm_gpuva_manager_destroy, 0x3b71ca33, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0xa433c96e, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x8257546c, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x37d7e50a, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0xdd01f558, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x31867b09, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0xa41757b7, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x55b3229f, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0xfc2eecd7, "_gpl");
SYMBOL_CRC(drm_gpuva_interval_empty, 0x336511f7, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x7be161e4, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x026dd52b, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x5709ba86, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map, 0x3b26d3ac, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap, 0x16e912a4, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map_ops_create, 0x5ef6f70b, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap_ops_create, 0x7717cf7b, "_gpl");
SYMBOL_CRC(drm_gpuva_prefetch_ops_create, 0x27bf538c, "_gpl");
SYMBOL_CRC(drm_gpuva_gem_unmap_ops_create, 0xdd79d9af, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x047c3209, "_gpl");
SYMBOL_CRC(drm_writeback_connector_init, 0x36957f8f, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x3679f9d8, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x83a5ec5b, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x15ceda17, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x10c0c000, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x212b8eca, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x1daa09a8, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0xd40ec721, "");
SYMBOL_CRC(drm_panel_init, 0x51c1ca3e, "");
SYMBOL_CRC(drm_panel_add, 0xaf55d792, "");
SYMBOL_CRC(drm_panel_remove, 0x2e81cdd2, "");
SYMBOL_CRC(drm_panel_prepare, 0x75702a7f, "");
SYMBOL_CRC(drm_panel_unprepare, 0xcf100fc6, "");
SYMBOL_CRC(drm_panel_enable, 0xb247d275, "");
SYMBOL_CRC(drm_panel_disable, 0x864a3ec2, "");
SYMBOL_CRC(drm_panel_get_modes, 0x231668fa, "");
SYMBOL_CRC(of_drm_find_panel, 0xd516a572, "");
SYMBOL_CRC(of_drm_get_panel_orientation, 0xb034df03, "");
SYMBOL_CRC(drm_is_panel_follower, 0x452278ab, "");
SYMBOL_CRC(drm_panel_add_follower, 0x1a593e1a, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x327687bd, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xf789ca23, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x0537da2a, "");
SYMBOL_CRC(drm_of_crtc_port_mask, 0x7c49c8ac, "");
SYMBOL_CRC(drm_of_find_possible_crtcs, 0x9b3f7d75, "");
SYMBOL_CRC(drm_of_component_match_add, 0xf2ccc622, "_gpl");
SYMBOL_CRC(drm_of_component_probe, 0xf53f007b, "");
SYMBOL_CRC(drm_of_encoder_active_endpoint, 0xf0c7ac36, "_gpl");
SYMBOL_CRC(drm_of_find_panel_or_bridge, 0xa1aa6f4a, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_dual_link_pixel_order, 0x67eca9fb, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_data_mapping, 0xb6f06c48, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count, 0xfe51002c, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count_ep, 0x8ec1f831, "_gpl");
SYMBOL_CRC(drm_of_get_dsi_bus, 0xc445c636, "_gpl");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x25c1bbce, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x8d0e4f27, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0xa243b3d3, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x2d3fb4e2, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x2cae8a20, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x5d36dc02, "_gpl");
SYMBOL_CRC(__drm_set_edid_firmware_path, 0x31b8a5e3, "");
SYMBOL_CRC(__drm_get_edid_firmware_path, 0x03c63897, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x34929754, "try_module_get" },
	{ 0xf1548e90, "anon_inode_getfile" },
	{ 0xa4f0e975, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdcb281a8, "alloc_anon_inode" },
	{ 0x15baafe4, "show_class_attr_string" },
	{ 0xbe660648, "kthread_cancel_work_sync" },
	{ 0xeb9d878a, "is_acpi_device_node" },
	{ 0xc3346263, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x289f670f, "kthread_flush_work" },
	{ 0x89741129, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x65fdb618, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x542165c0, "of_node_put" },
	{ 0xc3628544, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x668b4192, "shmem_read_folio_gfp" },
	{ 0x952799a3, "__folio_batch_release" },
	{ 0xa0a90386, "dev_set_name" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xa8b55784, "component_master_add_with_match" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x696e8e4d, "trace_raw_output_prep" },
	{ 0x24ef9cc3, "dma_resv_init" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x1efd0011, "dma_resv_wait_timeout" },
	{ 0x4b157572, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x8529c310, "__trace_trigger_soft_disabled" },
	{ 0x2012c66f, "kthread_flush_worker" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xaaadc613, "request_firmware" },
	{ 0xd9d1cacf, "class_destroy" },
	{ 0x8da97f0a, "trace_event_printf" },
	{ 0xdcafe95b, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x3ae7d626, "ww_mutex_unlock" },
	{ 0xa034c726, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x1c27aac1, "fd_install" },
	{ 0x689067dd, "dma_fence_chain_ops" },
	{ 0x6167c28b, "of_graph_parse_endpoint" },
	{ 0xc69d200, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb55358ac, "component_del" },
	{ 0x2cb15117, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x665dacb3, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x21597935, "iput" },
	{ 0x4a36c653, "seq_lseek" },
	{ 0x1cf27469, "of_node_get" },
	{ 0xa552168f, "of_graph_get_remote_port_parent" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xad1a293b, "of_graph_get_remote_port" },
	{ 0x6a480b84, "dma_buf_unmap_attachment_unlocked" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x6d29f224, "synchronize_srcu" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4a7c46ce, "get_device" },
	{ 0xb9632a8f, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x6c21b012, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd85ba370, "of_graph_get_endpoint_by_regs" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x4ebfc230, "wake_up_process" },
	{ 0x9cb01283, "dev_driver_string" },
	{ 0x91a2eaf9, "dma_buf_map_attachment_unlocked" },
	{ 0x564f1f3c, "trace_event_buffer_commit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf2f51196, "ww_mutex_trylock" },
	{ 0x88dceee3, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x179ffb76, "devm_of_find_backlight" },
	{ 0xa36791c3, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x1a10a9c9, "dma_max_mapping_size" },
	{ 0xbbb40a46, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xbd6563f6, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x40fef733, "kthread_queue_work" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0xbd27f14f, "_dev_info" },
	{ 0x8124c62a, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0xce65c135, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb61364f6, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x98555a05, "dma_fence_chain_walk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xf27bfc2a, "__task_pid_nr_ns" },
	{ 0x322df204, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xd434e7df, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3da092b8, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x592d266a, "perf_trace_run_bpf_submit" },
	{ 0x41818529, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa944f835, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x6eb30809, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x912c6da3, "__of_parse_phandle_with_args" },
	{ 0x8b0a918f, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x15b98253, "pid_task" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4f567564, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x767a018e, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xaf27a4b9, "folio_mark_accessed" },
	{ 0xd361a3d2, "dma_resv_fini" },
	{ 0x96bd4e63, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x656c0bfc, "dma_buf_get" },
	{ 0x5d2ec10a, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x122acea2, "aperture_remove_conflicting_pci_devices" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xf592ffd1, "ww_mutex_lock" },
	{ 0xacc5a728, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe0b56984, "of_property_count_elems_of_size" },
	{ 0x1bb21e34, "dma_buf_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x34d7e8eb, "dma_buf_fd" },
	{ 0xa789b0d9, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x10b78a05, "of_find_property" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcfc9bbd7, "of_graph_get_next_endpoint" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4bf1bbfb, "of_device_is_available" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x66c592e1, "of_graph_get_remote_node" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb5e26355, "device_register" },
	{ 0xc4ae1b62, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x2cab96c1, "sg_alloc_table_from_pages_segment" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x3c3c4b8f, "_dev_warn" },
	{ 0x7f54b19, "unregister_acpi_bus_type" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xc37e96ae, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62b20d32, "component_release_of" },
	{ 0xdff94f8d, "devm_aperture_acquire_for_platform_device" },
	{ 0xfb96497a, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xba44c06e, "check_move_unevictable_folios" },
	{ 0x36d02ede, "bpf_trace_run3" },
	{ 0x1bc9b31a, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x2467f2fd, "debugfs_create_file" },
	{ 0xeacfb0ff, "trace_event_buffer_reserve" },
	{ 0x46160cd7, "of_find_mipi_dsi_host_by_node" },
	{ 0x4c68c567, "dma_map_sgtable" },
	{ 0xe645564f, "kthread_destroy_worker" },
	{ 0xb205b2b, "component_match_add_release" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe436e90c, "__dma_fence_unwrap_merge" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x95048458, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2795173e, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x75616495, "seq_write" },
	{ 0x2f4e7333, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x493047f2, "seq_printf" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xeb8c5be4, "__srcu_read_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x6320ec6a, "i2c_transfer" },
	{ 0xba00daa2, "dma_fence_allocate_private_stub" },
	{ 0xea6b9f4a, "dma_buf_detach" },
	{ 0x3daae96c, "dma_fence_signal_timestamp" },
	{ 0xda9fdbba, "dma_fence_chain_init" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x650c459d, "seq_puts" },
	{ 0x2d8a5538, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8423b0ff, "pid_vnr" },
	{ 0xd8fe559c, "sched_set_fifo" },
	{  0xba01e, "of_node_name_eq" },
	{ 0x689675bb, "simple_release_fs" },
	{ 0xd4b262a9, "dma_unmap_sg_attrs" },
	{ 0xb74e36df, "kill_anon_super" },
	{ 0xcba5ce4, "from_kuid_munged" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7a9ad641, "__devm_add_action" },
	{ 0x81188c30, "match_string" },
	{ 0xb57b43dd, "component_add" },
	{ 0x1bc85319, "dma_resv_test_signaled" },
	{ 0x4b63555f, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xbb5dd4a, "dma_fence_chain_find_seqno" },
	{ 0x9945d92c, "param_ops_int" },
	{ 0x92df7f58, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xed2edf3d, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x20c25d94, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0x614afe4a, "put_pid" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x13adff3d, "__dev_fwnode" },
	{ 0xea2ccdcf, "pci_bus_type" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x9ec8bc13, "class_remove_file_ns" },
	{ 0xc963c517, "simple_pin_fs" },
	{ 0xe4a33755, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "82C95F5A5CA24DEB29D1149");
