#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0x3b7902c5, "_gpl");
SYMBOL_CRC(mux_chip_register, 0xbff6be7f, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0xe4799c11, "_gpl");
SYMBOL_CRC(mux_chip_free, 0xc808bc73, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0x26828ff9, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0x967e80f4, "_gpl");
SYMBOL_CRC(mux_control_states, 0xc5367e56, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x90405905, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0x2afd6e41, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0x74de7f5a, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0x4ae85da5, "_gpl");
SYMBOL_CRC(mux_control_put, 0x41bd3897, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0xccc35e24, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0x83ac7480, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x542165c0, "of_node_put" },
	{ 0xa0a90386, "dev_set_name" },
	{ 0x9311f5ee, "of_property_match_string" },
	{ 0xe814e562, "device_match_of_node" },
	{ 0xcf2a6966, "up" },
	{ 0xa034c726, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa977f840, "devres_add" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbbb40a46, "put_device" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa944f835, "_dev_err" },
	{ 0x6eb30809, "device_add" },
	{ 0x912c6da3, "__of_parse_phandle_with_args" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x7dc11a56, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3b71f58c, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xc4ae1b62, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0x78b8fb08, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x69779a11, "class_find_device" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "79E11A47F875A5B5A0162E7");
