#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_ulp_log_raw, "", "");
KSYMTAB_FUNC(bnxt_ulp_log_live, "", "");
KSYMTAB_FUNC(bnxt_ulp_async_events, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");
KSYMTAB_FUNC(bnxt_dbr_complete, "", "");
KSYMTAB_FUNC(bnxt_hdbr_reg_apg, "", "");
KSYMTAB_FUNC(bnxt_hdbr_unreg_apg, "", "");

SYMBOL_CRC(bnxt_register_dev, 0xe7eb077f, "");
SYMBOL_CRC(bnxt_unregister_dev, 0xd4a13c20, "");
SYMBOL_CRC(bnxt_send_msg, 0xc48f838d, "");
SYMBOL_CRC(bnxt_ulp_log_raw, 0xb8b8f61f, "");
SYMBOL_CRC(bnxt_ulp_log_live, 0xf7946c13, "");
SYMBOL_CRC(bnxt_ulp_async_events, 0x7541696e, "");
SYMBOL_CRC(bnxt_register_async_events, 0x7a0d75fc, "");
SYMBOL_CRC(bnxt_dbr_complete, 0x498bba14, "");
SYMBOL_CRC(bnxt_hdbr_reg_apg, 0x0a073090, "");
SYMBOL_CRC(bnxt_hdbr_unreg_apg, 0x24e29c1d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xe7df479e, "__inet_lookup_established" },
	{ 0x8e7149ed, "xsk_tx_completed" },
	{ 0x2fa2a7f7, "alloc_etherdev_mqs" },
	{ 0x22f53d5a, "netdev_lower_get_next" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x91f3940e, "pci_save_state" },
	{ 0x5096ba2f, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x5ebd0ddb, "xp_alloc" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xf95fae9f, "device_set_wakeup_enable" },
	{ 0x52e5ac62, "__skb_pad" },
	{ 0x34929754, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x79e14cc6, "pci_find_ext_capability" },
	{ 0x597f7fea, "bpf_prog_put" },
	{ 0x9c0a7d70, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb02fcdcd, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x36560c10, "xp_dma_map" },
	{ 0x23d34f8, "devlink_unregister" },
	{ 0xd43c6936, "skb_copy_bits" },
	{ 0xd10ab7d9, "debugfs_attr_write" },
	{ 0x3a2a34db, "dma_pool_create" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf2bffa87, "pci_wake_from_d3" },
	{ 0x8cf2dbc6, "pci_enable_device" },
	{ 0x96612d7f, "skb_put" },
	{ 0x1e96b23f, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd9d528c6, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0xcd2777ae, "auxiliary_device_init" },
	{ 0x6102e2fc, "netdev_update_features" },
	{ 0xe4baa5e5, "consume_skb" },
	{ 0xe7dd4e69, "pci_iomap" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xa34b3843, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x74b8663b, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x4fb9f395, "dump_page" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x8b3b04a1, "pci_dev_put" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x70165d32, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xddff1afb, "ndo_dflt_bridge_getlink" },
	{ 0x9244198d, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8dd3019, "xdp_features_set_redirect_target" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb15f85dd, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xaaadc613, "request_firmware" },
	{ 0xd9d1cacf, "class_destroy" },
	{ 0x910b0432, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0x690f3717, "hwmon_notify_event" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x408d90d5, "__pci_register_driver" },
	{ 0x7415e8eb, "devlink_params_unregister" },
	{ 0x47beab70, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x28de896e, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xd6fe8b4c, "skb_add_rx_frag" },
	{ 0x1d7d6228, "get_device_system_crosststamp" },
	{ 0x854f6d6f, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9f1bd596, "ptp_clock_index" },
	{ 0xe1f0b14f, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x4829a47e, "memcpy" },
	{ 0x79739b11, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x977834c9, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x35714524, "devlink_register" },
	{ 0xd91b87a9, "devlink_remote_reload_actions_performed" },
	{ 0xbaf6d7c3, "page_pool_destroy" },
	{ 0x269f2973, "xdp_do_redirect" },
	{ 0x7967eb98, "devlink_free" },
	{ 0xd26956e7, "eth_validate_addr" },
	{ 0x63755ae, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x66d6da54, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x519dd809, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc9d8a1bf, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x79351ed6, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xbe40e412, "__dynamic_dev_dbg" },
	{ 0x7fb3dcda, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x87d43c20, "sock_gen_put" },
	{ 0xe9e4581a, "pci_unregister_driver" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4a6c0dc7, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xb4f289e1, "devlink_flash_update_status_notify" },
	{ 0x99991ca4, "netdev_lower_get_next_private" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x9cb01283, "dev_driver_string" },
	{ 0x438ba773, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x5073d306, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x9607c624, "ptp_find_pin" },
	{ 0x860f8687, "eth_type_trans" },
	{ 0xdc088ac3, "pci_read_config_dword" },
	{ 0x28683f43, "ptp_parse_header" },
	{ 0x2ce5cd9f, "dma_map_page_attrs" },
	{ 0x151d6bba, "napi_complete_done" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x379729a2, "debugfs_create_devm_seqfile" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xbbb40a46, "put_device" },
	{ 0xb1ca1490, "net_dim" },
	{ 0x9e0b5ab1, "__napi_schedule" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x7ec4317b, "pci_enable_msix_range" },
	{ 0x6198ffc6, "kmalloc_node_trace" },
	{ 0x7ac2b1d8, "__alloc_skb" },
	{ 0x3ecd7f22, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xa6db604c, "__free_pages" },
	{ 0xba4a7521, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xbd27f14f, "_dev_info" },
	{ 0x23b271ef, "napi_gro_receive" },
	{ 0x6223ad85, "netif_device_attach" },
	{ 0x99844822, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xce65c135, "module_put" },
	{ 0xb5eff299, "xp_raw_get_dma" },
	{ 0xa88dbe28, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x5ba423fe, "xdp_rxq_info_is_reg" },
	{ 0x17b88373, "ptp_classify_raw" },
	{ 0x70cb2249, "cdev_add" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x61651be, "strcat" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa51d565d, "debugfs_lookup" },
	{ 0x8da80f6, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xeedddca1, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x7525b3ba, "devlink_port_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa944f835, "_dev_err" },
	{ 0xc3346d82, "init_net" },
	{ 0x8cfb1107, "softnet_data" },
	{ 0xb413eee6, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99300390, "cpu_bit_bitmap" },
	{ 0xfc2346fd, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x26dee853, "simple_attr_release" },
	{ 0x5e06c5e0, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xe120f5c6, "xp_dma_sync_for_cpu_slow" },
	{ 0xb5d447ee, "dcb_ieee_getapp_mask" },
	{ 0x25a3690d, "xsk_tx_peek_desc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xea9554a4, "hwmon_device_register_with_info" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x727e4e40, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa22a4246, "netif_set_real_num_tx_queues" },
	{ 0x1d4e8a0d, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xc7f184e7, "device_create" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8c533d, "netif_set_real_num_rx_queues" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x96bd4e63, "class_create" },
	{ 0x235794cb, "netdev_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x3e654b09, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe9d4029d, "pci_get_domain_bus_and_slot" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0x569112d1, "kmem_cache_free" },
	{ 0x4e07890b, "dma_alloc_attrs" },
	{ 0x5d2ec10a, "debugfs_remove" },
	{ 0xce463b7f, "pcie_flr" },
	{ 0x792aaf87, "pci_read_config_word" },
	{ 0x39b5d9e2, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xe1c51c8c, "netif_receive_skb" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xc5fb753b, "xsk_uses_need_wakeup" },
	{ 0xcb5e9001, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x92f2c664, "free_netdev" },
	{ 0x1d49c5c6, "xsk_get_pool_from_qid" },
	{ 0xcd279169, "nla_find" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x808fbaaf, "kobject_init_and_add" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x88dfd900, "tls_device_sk_destruct" },
	{ 0x3b6032e7, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x70a17927, "pci_iounmap" },
	{ 0x496543ab, "pci_restore_state" },
	{ 0x4e380440, "__inet6_lookup_established" },
	{ 0x550475b9, "netif_tx_wake_queue" },
	{ 0xc4ae1b62, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xb418881b, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x668e395b, "page_pool_create" },
	{ 0xc9c7cef9, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x3c3c4b8f, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xfddd9697, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc7e38241, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x39635100, "pci_set_master" },
	{ 0x949165f3, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6c125bf4, "netdev_set_tc_queue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbcb9cf42, "ptp_clock_unregister" },
	{ 0x2a02b3bd, "__pskb_pull_tail" },
	{ 0x650f12de, "xp_dma_unmap" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xd4e1bd11, "__netdev_alloc_skb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb67ce92, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9b5ce8f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ab45f1c, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x2467f2fd, "debugfs_create_file" },
	{ 0xec269da0, "rps_may_expire_flow" },
	{ 0xb4e62c37, "xsk_set_tx_need_wakeup" },
	{ 0xab6195ba, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1be609c1, "netdev_reset_tc" },
	{ 0xfae9aebf, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd1bf274f, "devlink_params_register" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbfabce26, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2f6aef7a, "bpf_prog_add" },
	{ 0x1e06b2a5, "pcie_print_link_status" },
	{ 0x5290fec4, "cpu_topology" },
	{ 0x52a5dcc8, "xp_set_rxq_info" },
	{ 0xdb443157, "xdp_rxq_info_unreg" },
	{ 0x55e822de, "page_pool_alloc_pages" },
	{ 0x5a89e6c7, "cpu_all_bits" },
	{ 0x5ba6baf0, "napi_build_skb" },
	{ 0xc94e605a, "__xdp_rxq_info_reg" },
	{ 0x99406d53, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x11a7a3eb, "netdev_master_upper_dev_get" },
	{ 0x2e240c2d, "dcb_ieee_getapp_prio_dscp_mask_map" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd718a752, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x493047f2, "seq_printf" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x9e851c1e, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xad59f2a5, "devlink_port_register_with_ops" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x15c33746, "pci_disable_sriov" },
	{ 0x1ef7fba4, "tcp_gro_complete" },
	{ 0x47e99aaf, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1432c423, "dst_release" },
	{ 0xea8221ec, "netif_carrier_on" },
	{ 0xae96fb32, "netdev_set_num_tc" },
	{ 0xacfa7a16, "kobject_uevent" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x249a4df7, "hwmon_device_unregister" },
	{ 0xa90a6c56, "tls_encrypt_skb" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x3625f888, "skb_copy_header" },
	{ 0xa9a13449, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3ef687ce, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x650c459d, "seq_puts" },
	{ 0xd4e566e4, "xp_free" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0x7acdc0f1, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcaaf0f43, "__skb_flow_dissect" },
	{ 0xa0c052ea, "pci_vpd_alloc" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0x8d5805c6, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x6a6d555f, "tls_validate_xmit_skb" },
	{ 0x8934dad3, "napi_schedule_prep" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x98cf60b3, "strlen" },
	{ 0xaaeb6b93, "napi_disable" },
	{ 0x7ce212cf, "dev_kfree_skb_any_reason" },
	{ 0x348d927d, "dcb_ieee_delapp" },
	{ 0x8f85862, "netdev_notice" },
	{ 0x88ef0ff8, "ethtool_params_from_link_mode" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x3d1a9b16, "netif_set_tso_max_segs" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x20c25d94, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x6e7d2c43, "ptp_schedule_worker" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x32626a5e, "pci_enable_sriov" },
	{ 0xac40e4e7, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x479903df, "dcb_ieee_setapp" },
	{ 0xc920470d, "node_to_cpumask_map" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xafa0e20b, "cdev_init" },
	{ 0x4e7aeb47, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xea2ccdcf, "pci_bus_type" },
	{ 0x3ef3d1b3, "pci_write_config_dword" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x5ec9642a, "cdev_del" },
	{ 0x9c60b21b, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa3c29098, "kobject_put" },
	{ 0x8348395a, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "tls");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001761sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "987D37285B0E8A85FFC789A");
