#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0xf5db49c3, "");
SYMBOL_CRC(t3_l2t_send_event, 0xa0dcfaf1, "");
SYMBOL_CRC(t3_l2e_free, 0x47f57504, "");
SYMBOL_CRC(t3_l2t_get, 0x7016a685, "");
SYMBOL_CRC(cxgb3_register_client, 0x3c4cf648, "");
SYMBOL_CRC(cxgb3_unregister_client, 0xc2edbee2, "");
SYMBOL_CRC(cxgb3_free_atid, 0x5eac4777, "");
SYMBOL_CRC(cxgb3_free_stid, 0x9ae0c372, "");
SYMBOL_CRC(cxgb3_insert_tid, 0xdc0a02e6, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x3b204507, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x90e55de0, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x1ce58d7e, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0x3499e641, "");
SYMBOL_CRC(dev2t3cdev, 0x236560b7, "");
SYMBOL_CRC(t3_register_cpl_handler, 0xa433660d, "");
SYMBOL_CRC(cxgb3_ofld_send, 0x9acffb0d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2fa2a7f7, "alloc_etherdev_mqs" },
	{ 0x91f3940e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x325705bd, "pcie_capability_read_word" },
	{ 0x2d27a63e, "napi_gro_frags" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x36aaf8e8, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd43c6936, "skb_copy_bits" },
	{ 0x33b0dd2, "pci_read_vpd" },
	{ 0x8cf2dbc6, "pci_enable_device" },
	{ 0x96612d7f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0x6102e2fc, "netdev_update_features" },
	{ 0xe4baa5e5, "consume_skb" },
	{ 0xa34b3843, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x4fb9f395, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9244198d, "unregister_netdev" },
	{ 0xc86f1964, "napi_get_frags" },
	{ 0xb15f85dd, "dma_unmap_page_attrs" },
	{ 0xaaadc613, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x408d90d5, "__pci_register_driver" },
	{ 0x47beab70, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x2dda20cf, "pci_disable_msi" },
	{ 0xe1f0b14f, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x55bae47c, "__put_devmap_managed_page_refs" },
	{ 0xd26956e7, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbe40e412, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe9e4581a, "pci_unregister_driver" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x9cb01283, "dev_driver_string" },
	{ 0x438ba773, "dev_addr_mod" },
	{ 0x860f8687, "eth_type_trans" },
	{ 0x2ce5cd9f, "dma_map_page_attrs" },
	{ 0x151d6bba, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x9e0b5ab1, "__napi_schedule" },
	{ 0x7ec4317b, "pci_enable_msix_range" },
	{ 0x1e380fcd, "pci_write_vpd_any" },
	{ 0x7ac2b1d8, "__alloc_skb" },
	{ 0xa6db604c, "__free_pages" },
	{ 0xbd27f14f, "_dev_info" },
	{ 0x23b271ef, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe0147b22, "pci_find_capability" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb41aa6fe, "_dev_alert" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa678314d, "pci_enable_msi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa944f835, "_dev_err" },
	{ 0x87b9694f, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa22a4246, "netif_set_real_num_tx_queues" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8c533d, "netif_set_real_num_rx_queues" },
	{ 0xe8b20722, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x24fba51a, "kfree_skb_reason" },
	{ 0xd0839c51, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4e07890b, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x792aaf87, "pci_read_config_word" },
	{ 0x39b5d9e2, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe1c51c8c, "netif_receive_skb" },
	{ 0xcb5e9001, "register_netdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x92f2c664, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcd00062e, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xde46acf, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x61f84a4a, "netif_tx_stop_all_queues" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x496543ab, "pci_restore_state" },
	{ 0x550475b9, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb418881b, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x3c3c4b8f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x39635100, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xe3f4875b, "netif_rx" },
	{ 0x76e4ed8f, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ab45f1c, "dma_set_coherent_mask" },
	{ 0x599b76f1, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xba96e44e, "neigh_destroy" },
	{ 0xfae9aebf, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbfabce26, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d3978e3, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x2fba44d1, "netdev_master_upper_dev_get_rcu" },
	{ 0x78381cab, "__folio_put" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd718a752, "netif_carrier_off" },
	{ 0xd5b4694b, "__vlan_find_dev_deep_rcu" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xea8221ec, "netif_carrier_on" },
	{ 0xa9a13449, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3ef687ce, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7acdc0f1, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x22e432bb, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0x8934dad3, "napi_schedule_prep" },
	{ 0xaaeb6b93, "napi_disable" },
	{ 0x7ce212cf, "dev_kfree_skb_any_reason" },
	{ 0x9945d92c, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3ae10c7a, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x8b8d3de6, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E2F81FAFDD33310C436FC66");
