#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nic_netdev_match_check, "", "");
KSYMTAB_FUNC(nic_chip_recover_handler, "", "");
KSYMTAB_FUNC(nic_set_pfc_storm_para, "", "");
KSYMTAB_FUNC(nic_get_pfc_storm_para, "", "");
KSYMTAB_FUNC(nic_set_notify_pkt_param, "", "");
KSYMTAB_FUNC(nic_set_notify_pkt_start, "", "");
KSYMTAB_FUNC(nic_set_torus_param, "", "");
KSYMTAB_FUNC(nic_get_torus_param, "", "");
KSYMTAB_FUNC(nic_clean_stats64, "", "");
KSYMTAB_FUNC(nic_set_cpu_affinity, "", "");
KSYMTAB_FUNC(nic_get_chipid, "", "");
KSYMTAB_FUNC(nic_get_mac_id, "", "");
KSYMTAB_FUNC(nic_get_io_die_id, "", "");
KSYMTAB_FUNC(nic_get_chip_num, "", "");
KSYMTAB_FUNC(nic_get_io_die_num, "", "");
KSYMTAB_FUNC(nic_get_port_num_of_die, "", "");
KSYMTAB_FUNC(nic_get_port_num_per_chip, "", "");
KSYMTAB_FUNC(nic_set_tx_timeout, "", "");
KSYMTAB_FUNC(nic_get_sfp_present, "", "");
KSYMTAB_FUNC(nic_set_sfp_state, "", "");
KSYMTAB_FUNC(nic_disable_net_lane, "", "");
KSYMTAB_FUNC(nic_get_net_lane_status, "", "");
KSYMTAB_FUNC(nic_disable_clock, "", "");
KSYMTAB_FUNC(nic_set_pfc_time_cfg, "", "");
KSYMTAB_FUNC(nic_get_port_fault_status, "", "");
KSYMTAB_FUNC(nic_get_port_wire_type, "", "");
KSYMTAB_FUNC(nic_set_mac_state, "", "");
KSYMTAB_FUNC(nic_set_led, "", "");
KSYMTAB_FUNC(nic_get_led_signal, "", "");
KSYMTAB_FUNC(nic_get_phy_reg, "", "");
KSYMTAB_FUNC(nic_set_phy_reg, "", "");

SYMBOL_CRC(nic_netdev_match_check, 0x98aa195b, "");
SYMBOL_CRC(nic_chip_recover_handler, 0x6912ac3e, "");
SYMBOL_CRC(nic_set_pfc_storm_para, 0x2d072584, "");
SYMBOL_CRC(nic_get_pfc_storm_para, 0x29dc0534, "");
SYMBOL_CRC(nic_set_notify_pkt_param, 0x845c96f5, "");
SYMBOL_CRC(nic_set_notify_pkt_start, 0x5ab372b8, "");
SYMBOL_CRC(nic_set_torus_param, 0x6e539b0e, "");
SYMBOL_CRC(nic_get_torus_param, 0x6b5ec670, "");
SYMBOL_CRC(nic_clean_stats64, 0x4e0d52c0, "");
SYMBOL_CRC(nic_set_cpu_affinity, 0xba12f791, "");
SYMBOL_CRC(nic_get_chipid, 0x7421d6ee, "");
SYMBOL_CRC(nic_get_mac_id, 0x60014fd7, "");
SYMBOL_CRC(nic_get_io_die_id, 0xcbc4e473, "");
SYMBOL_CRC(nic_get_chip_num, 0x22f79e98, "");
SYMBOL_CRC(nic_get_io_die_num, 0x15042dd9, "");
SYMBOL_CRC(nic_get_port_num_of_die, 0xa5c02ada, "");
SYMBOL_CRC(nic_get_port_num_per_chip, 0x483b3e7e, "");
SYMBOL_CRC(nic_set_tx_timeout, 0x9b5058ac, "");
SYMBOL_CRC(nic_get_sfp_present, 0x184eb5a1, "");
SYMBOL_CRC(nic_set_sfp_state, 0x3877f0bd, "");
SYMBOL_CRC(nic_disable_net_lane, 0x27b17514, "");
SYMBOL_CRC(nic_get_net_lane_status, 0xb2c09f6a, "");
SYMBOL_CRC(nic_disable_clock, 0xf057c9c4, "");
SYMBOL_CRC(nic_set_pfc_time_cfg, 0x32cbe312, "");
SYMBOL_CRC(nic_get_port_fault_status, 0x0083285a, "");
SYMBOL_CRC(nic_get_port_wire_type, 0x72cc09d2, "");
SYMBOL_CRC(nic_set_mac_state, 0xfd356ac1, "");
SYMBOL_CRC(nic_set_led, 0x2f387e4c, "");
SYMBOL_CRC(nic_get_led_signal, 0x0452d409, "");
SYMBOL_CRC(nic_get_phy_reg, 0x888b92cc, "");
SYMBOL_CRC(nic_set_phy_reg, 0xc10daa02, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28338c7e, "genphy_restart_aneg" },
	{ 0x2fa2a7f7, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x52e5ac62, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1fe21295, "page_pool_get_stats" },
	{ 0xd43c6936, "skb_copy_bits" },
	{ 0x2c8c1ab3, "param_ops_uint" },
	{ 0xb35ebc47, "devm_kmalloc" },
	{ 0x96612d7f, "skb_put" },
	{ 0x1e96b23f, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xf90d81d3, "page_pool_alloc_frag" },
	{ 0xd9d528c6, "__napi_alloc_skb" },
	{ 0xa34b3843, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x74b8663b, "pci_vfs_assigned" },
	{ 0x4fb9f395, "dump_page" },
	{ 0x696e8e4d, "trace_raw_output_prep" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x9244198d, "unregister_netdev" },
	{ 0x8529c310, "__trace_trigger_soft_disabled" },
	{ 0xb15f85dd, "dma_unmap_page_attrs" },
	{ 0x8da97f0a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x408d90d5, "__pci_register_driver" },
	{ 0x47beab70, "dma_sync_single_for_device" },
	{ 0x28de896e, "pci_num_vf" },
	{ 0xd6fe8b4c, "skb_add_rx_frag" },
	{ 0xc69d200, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xbaf6d7c3, "page_pool_destroy" },
	{ 0x55bae47c, "__put_devmap_managed_page_refs" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2037c0c0, "bpf_trace_run2" },
	{ 0xccf82c8, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x519dd809, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc9d8a1bf, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe9e4581a, "pci_unregister_driver" },
	{ 0x1720906c, "netdev_err" },
	{ 0x4a6c0dc7, "pskb_expand_head" },
	{ 0x9cb01283, "dev_driver_string" },
	{ 0x564f1f3c, "trace_event_buffer_commit" },
	{ 0x438ba773, "dev_addr_mod" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x860f8687, "eth_type_trans" },
	{ 0x2ce5cd9f, "dma_map_page_attrs" },
	{ 0x151d6bba, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x7e64ba42, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb1ca1490, "net_dim" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xdaf8bea6, "ipv6_skip_exthdr" },
	{ 0x7ac2b1d8, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xbd27f14f, "_dev_info" },
	{ 0x23b271ef, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x96701107, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa88dbe28, "eth_get_headlen" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x71d390c6, "flow_block_cb_setup_simple" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x592d266a, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xa8fa8d55, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa944f835, "_dev_err" },
	{ 0x8cfb1107, "softnet_data" },
	{ 0xb413eee6, "simple_open" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa22a4246, "netif_set_real_num_tx_queues" },
	{ 0x8c533d, "netif_set_real_num_rx_queues" },
	{ 0x24fba51a, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0x4e07890b, "dma_alloc_attrs" },
	{ 0xc411b80, "hnae3_register_client" },
	{ 0x5d2ec10a, "debugfs_remove" },
	{ 0x39b5d9e2, "napi_enable" },
	{ 0xcb5e9001, "register_netdev" },
	{ 0xacc5a728, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x92f2c664, "free_netdev" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3b6032e7, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x61f84a4a, "netif_tx_stop_all_queues" },
	{ 0xffae2c7f, "bpf_trace_run1" },
	{ 0x550475b9, "netif_tx_wake_queue" },
	{ 0xcda50c7f, "hnae3_register_ae_dev" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb418881b, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x668e395b, "page_pool_create" },
	{ 0xc9c7cef9, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x3c3c4b8f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc7e38241, "netif_schedule_queue" },
	{ 0xab4806a3, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6c125bf4, "netdev_set_tc_queue" },
	{ 0x2a02b3bd, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9b5ce8f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd0fd23e0, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x2467f2fd, "debugfs_create_file" },
	{ 0x1be609c1, "netdev_reset_tc" },
	{ 0xfae9aebf, "dma_free_attrs" },
	{ 0xeacfb0ff, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x58fefc93, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x78381cab, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd718a752, "netif_carrier_off" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x4e8339ac, "__hw_addr_sync_dev" },
	{ 0x15c33746, "pci_disable_sriov" },
	{ 0xea8221ec, "netif_carrier_on" },
	{ 0xae96fb32, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x62dd029d, "phy_ethtool_ksettings_get" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2bfdf210, "phy_ethtool_ksettings_set" },
	{ 0xf29f7f84, "napi_gro_flush" },
	{ 0xcaaf0f43, "__skb_flow_dissect" },
	{ 0xd4b262a9, "dma_unmap_sg_attrs" },
	{ 0x6e532d7f, "hnae3_unregister_client" },
	{ 0x19588331, "__napi_schedule_irqoff" },
	{ 0x8934dad3, "napi_schedule_prep" },
	{ 0x680134fd, "napi_consume_skb" },
	{ 0x98cf60b3, "strlen" },
	{ 0xaaeb6b93, "napi_disable" },
	{ 0x7ce212cf, "dev_kfree_skb_any_reason" },
	{ 0x9945d92c, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x20c25d94, "debugfs_create_dir" },
	{ 0xafb73a80, "hnae3_unregister_ae_dev" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x32626a5e, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x646ffcd5, "skb_to_sgvec" },
	{ 0xac40e4e7, "skb_clone_tx_timestamp" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x58211d46, "ethtool_op_get_ts_info" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b8d3de6, "netdev_info" },
	{ 0x45679786, "dma_map_sg_attrs" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "hnae3");

MODULE_ALIAS("pci:v000019E5d0000A220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A222sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A223sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A224sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A225sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A226sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A22Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A22Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D0EEF77844099CC0C87B892");
