#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x91d6ae42, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x68ec0567, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x57ebb394, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xb62267db, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0xd866e474, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x1d437a83, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x133cb415, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x12a09a5f, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xf2706073, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x0b95ab8e, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x19b4d786, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0xd8364fde, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0xbc7947eb, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xa86a56b4, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x0cc8e08c, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x440f2575, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x9da097fc, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x2374216c, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x04fd8f4d, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x99cdb5f6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x19cfc7cb, "mt76_init_sar_power" },
	{ 0x4ab1bf5f, "mt76x02_phy_adjust_vga_gain" },
	{ 0xf486e656, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xb35ebc47, "devm_kmalloc" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xfa9df40c, "mt76x02_ext_pa_enabled" },
	{ 0xa19af219, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda58aa86, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7e428ec, "mt76_eeprom_init" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa944f835, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2127f09, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xbe368670, "mt76_mcu_send_and_get_msg" },
	{ 0x10b78a05, "of_find_property" },
	{ 0x70a91efc, "mt76_eeprom_override" },
	{ 0x193ee76a, "mt76x02_get_lna_gain" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x36c14fdc, "mt76_get_sar_power" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb4f2aac8, "mt76x02_eeprom_copy" },
	{ 0xdcee9b5c, "mt76x02_mcu_calibrate" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x3026efa9, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xa9cc8449, "mt76_get_min_avg_rssi" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211");


MODULE_INFO(srcversion, "B855F1C5C8D938837BB73B6");
