#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x408d90d5, "__pci_register_driver" },
	{ 0xc03c50f5, "rt2x00pci_probe" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc09f8200, "rt2800_efuse_detect" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x50e18421, "rt2800_read_eeprom_efuse" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9e4581a, "pci_unregister_driver" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa944f835, "_dev_err" },
	{ 0x99c41086, "rt2800_mcu_request" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8827c38e, "rt2800mmio_toggle_irq" },
	{ 0x73320983, "rt2800mmio_enable_radio" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf4e5ff92, "rt2800mmio_queue_init" },
	{ 0x48377329, "rt2800_rt2x00debug" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x22cdddd1, "rt2800mmio_probe_hw" },
	{ 0xdbea5d7f, "rt2800_check_firmware" },
	{ 0x9a64c30f, "rt2800_load_firmware" },
	{ 0x2a8e27f0, "rt2x00mmio_initialize" },
	{ 0x15c4649f, "rt2x00mmio_uninitialize" },
	{ 0x4360cc89, "rt2800mmio_get_entry_state" },
	{ 0xf210e148, "rt2800mmio_clear_entry" },
	{ 0x6217ba28, "rt2800_rfkill_poll" },
	{ 0x867b1549, "rt2800_link_stats" },
	{ 0x1b1b2465, "rt2800_reset_tuner" },
	{ 0x8b629fb4, "rt2800_link_tuner" },
	{ 0x7f729c4a, "rt2800_gain_calibration" },
	{ 0x2fea6b1, "rt2800_vco_calibration" },
	{ 0x3acb93b, "rt2800_watchdog" },
	{ 0xda0d7fbf, "rt2800mmio_start_queue" },
	{ 0x5f417ed7, "rt2800mmio_kick_queue" },
	{ 0x67653f0d, "rt2800mmio_stop_queue" },
	{ 0x5af83c2c, "rt2800mmio_flush_queue" },
	{ 0x2703074, "rt2800mmio_write_tx_desc" },
	{ 0xd90b4f2a, "rt2800_write_tx_data" },
	{ 0xbc53154a, "rt2800_write_beacon" },
	{ 0x78995e81, "rt2800_clear_beacon" },
	{ 0x4bff0bfa, "rt2800mmio_fill_rxdone" },
	{ 0x9c62313f, "rt2800_config_shared_key" },
	{ 0xb501a6c6, "rt2800_config_pairwise_key" },
	{ 0xeff51e2b, "rt2800_config_filter" },
	{ 0x61f47455, "rt2800_config_intf" },
	{ 0x24f93b0d, "rt2800_config_erp" },
	{ 0xeaa8a5f5, "rt2800_config_ant" },
	{ 0x49db35bc, "rt2800_config" },
	{ 0xa782383e, "rt2800_pre_reset_hw" },
	{ 0x9f208658, "rt2x00mmio_regbusy_read" },
	{ 0x2512c20f, "rt2800mmio_init_registers" },
	{ 0xb8a8830f, "rt2800mmio_get_txwi" },
	{ 0x9083b1d, "rt2800mmio_get_dma_done" },
	{ 0xe3fd17a8, "rt2x00mac_tx" },
	{ 0x552a5fd2, "rt2x00mac_start" },
	{ 0x399a217d, "rt2x00mac_stop" },
	{ 0x2b520f8e, "rt2x00mac_add_interface" },
	{ 0x9cf237ac, "rt2x00mac_remove_interface" },
	{ 0xde78f769, "rt2x00mac_config" },
	{ 0xad9e6162, "rt2x00mac_bss_info_changed" },
	{ 0x4be88aee, "rt2x00mac_configure_filter" },
	{ 0xa53e5442, "rt2x00mac_set_key" },
	{ 0x4514bf8, "rt2x00mac_sw_scan_start" },
	{ 0x133c2033, "rt2x00mac_sw_scan_complete" },
	{ 0x3ba400d5, "rt2x00mac_get_stats" },
	{ 0xd5587d0c, "rt2800_get_key_seq" },
	{ 0xdb3a429d, "rt2800_set_rts_threshold" },
	{ 0x5a96171, "rt2800_sta_add" },
	{ 0x4bf7e74c, "rt2800_sta_remove" },
	{ 0x995fc037, "rt2800_conf_tx" },
	{ 0x3b76bea0, "rt2800_get_tsf" },
	{ 0x964a0486, "rt2800_ampdu_action" },
	{ 0xbfef285f, "rt2800_get_survey" },
	{ 0xd2548ea9, "rt2x00mac_rfkill_poll" },
	{ 0x2cbed1b1, "rt2x00mac_flush" },
	{ 0x53eb7d6f, "rt2x00mac_get_ringparam" },
	{ 0xaac325d8, "rt2x00mac_tx_frames_pending" },
	{ 0x32dfa34d, "rt2x00mac_reconfig_complete" },
	{ 0xb0c2a48, "ieee80211_handle_wake_tx_queue" },
	{ 0x2e2066ca, "rt2x00pci_remove" },
	{ 0x19b28025, "rt2x00pci_pm_ops" },
	{ 0x58fefc93, "param_ops_bool" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "rt2x00pci,rt2800lib,rt2800mmio,rt2x00mmio,rt2x00lib,mac80211");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E9BF56BB404C69688673417");
