#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0x13eee21a, "");
SYMBOL_CRC(rtw_dump_reg, 0xed05cd13, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x8daf69a1, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x12663ebd, "");
SYMBOL_CRC(rtw_core_init, 0x1fe650a3, "");
SYMBOL_CRC(rtw_core_deinit, 0xc4d89028, "");
SYMBOL_CRC(rtw_register_hw, 0xa22a8c97, "");
SYMBOL_CRC(rtw_unregister_hw, 0x4f6183bd, "");
SYMBOL_CRC(rtw_ops, 0x7fd32e66, "");
SYMBOL_CRC(check_hw_ready, 0x760b3128, "");
SYMBOL_CRC(rtw_restore_reg, 0xbb9405aa, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x1249db85, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0xed1ec7e2, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x70e35f96, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x020f206b, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0x2e79a103, "");
SYMBOL_CRC(rtw_rx_stats, 0xb849c6c3, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0xda3fabcf, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x01e7dbe0, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0xf29bbdce, "");
SYMBOL_CRC(rtw_phy_init, 0x2877ae47, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x67f7fd07, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0xcfb15e4b, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xf4f8d0a9, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0xc9d05221, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x046db0c9, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xfe0673a2, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x68baa0eb, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x1a96b62b, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xad001941, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0xe617df91, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x925c7b2d, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x5c5962b2, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x65fc36db, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x0bfe243e, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x5ef8c72e, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0xde9c88fc, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0xbcd465b8, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x47d8b63a, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x7d8cadc2, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x3578002c, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x36a3a03a, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0xe53d489e, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0xdf7f8c19, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0xb9f66904, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0x561bc5d7, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0xcf97555a, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x411a8ebc, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x19bd8bbc, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0xd4129d83, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0xa22b4848, "");
SYMBOL_CRC(rtw_power_mode_change, 0x7277009a, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0xf0d7734a, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0x6114b195, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x57ae758c, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0x43ebd93b, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0x263b7994, "");
SYMBOL_CRC(rtw_bf_phy_init, 0xf480ea8d, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x0b9aad24, "");
SYMBOL_CRC(rtw_regd_get, 0x1a068fb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf95fae9f, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x5a2d2827, "ieee80211_connection_loss" },
	{ 0x8997ac6f, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7c268b1b, "ieee80211_txq_get_depth" },
	{ 0x2c8c1ab3, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x96612d7f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe4baa5e5, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x470ac803, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x416dfc3c, "ieee80211_probereq_get" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x947a1261, "ieee80211_iterate_stations_atomic" },
	{ 0x659df915, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfc5bdc8b, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc2323c37, "ieee80211_nullfunc_get" },
	{ 0x76d9122d, "ieee80211_pspoll_get" },
	{ 0x662fab11, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2a60b9a5, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x18902d08, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xc6dc797f, "ieee80211_find_sta" },
	{ 0xf09aa2ec, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9a4e4b8a, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7ac2b1d8, "__alloc_skb" },
	{ 0xbd27f14f, "_dev_info" },
	{ 0xf6f47f3, "skb_queue_tail" },
	{ 0xce8b291f, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x1b04a5bb, "wiphy_to_ieee80211_hw" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb4732fca, "ieee80211_queue_delayed_work" },
	{ 0x51dce241, "ieee80211_proberesp_get" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa944f835, "_dev_err" },
	{ 0xdc60c0fe, "request_firmware_nowait" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xd3b3a3e0, "ieee80211_find_sta_by_ifaddr" },
	{ 0x24fba51a, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1e8fb31b, "skb_push" },
	{ 0x4998e85c, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x1f2a0895, "ieee80211_iter_keys_rcu" },
	{ 0x29e61e4c, "ieee80211_free_txskb" },
	{ 0x9fd8af6c, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3d7bb89f, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x3c3c4b8f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd4e1bd11, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x5bb85f98, "ieee80211_stop_queues" },
	{ 0x47fcd569, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0xe7863822, "ieee80211_scan_completed" },
	{ 0xeadbbf56, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x58fefc93, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf5359b60, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xce159132, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x701c8b83, "skb_copy" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfdb5288c, "ieee80211_cqm_rssi_notify" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbd24c52a, "ieee80211_request_smps" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0x646f427a, "ieee80211_queue_work" },
	{ 0x7ce212cf, "dev_kfree_skb_any_reason" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "F0AF00723B6B4B68F68159E");
