#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x9a169ea7, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc055b014, "nvme_remove_admin_tag_set" },
	{ 0x2aa6ec84, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x3087432c, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb3afd7fb, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xdd8af66e, "nvmf_free_options" },
	{ 0xa2887b5b, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad1cee83, "blk_mq_complete_request_remote" },
	{ 0xb15f85dd, "dma_unmap_page_attrs" },
	{ 0xcfc416, "nvme_setup_cmd" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb4cceaea, "nvme_start_ctrl" },
	{ 0x47beab70, "dma_sync_single_for_device" },
	{ 0x4bcb4186, "nvme_alloc_admin_tag_set" },
	{ 0x6c830746, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa0e1068, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb50ca572, "nvme_delete_ctrl" },
	{ 0x4a7c46ce, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x646fa2ce, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9cb01283, "dev_driver_string" },
	{ 0x7b617b11, "nvmf_get_address" },
	{ 0x2ce5cd9f, "dma_map_page_attrs" },
	{ 0x619c287b, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xb414a3f0, "nvme_remove_io_tag_set" },
	{ 0x660e43f3, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x982da1b9, "nvme_mpath_start_request" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x6b8b3abe, "nvmf_unregister_transport" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xbbb40a46, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa0baf228, "nvme_change_ctrl_state" },
	{ 0xbd27f14f, "_dev_info" },
	{ 0x92b5ba54, "nvme_init_ctrl" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x8bcdc9dd, "nvme_alloc_io_tag_set" },
	{ 0x66d479cd, "nvme_fail_nonready_command" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x322df204, "kobject_uevent_env" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa944f835, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc7f184e7, "device_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x5685627a, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3d170603, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc4a06dd8, "nvmf_reg_read64" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3b71f58c, "class_unregister" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x8e89ce7c, "nvmf_connect_admin_queue" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd33a34db, "nvme_enable_ctrl" },
	{ 0x1189070a, "nvme_unquiesce_admin_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb418881b, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x3c3c4b8f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6eed4357, "nvme_unquiesce_io_queues" },
	{ 0x238e665c, "blk_mq_update_nr_hw_queues" },
	{ 0x5e4502a4, "nvmf_reg_write32" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x1a7f8536, "nvmf_should_reconnect" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa2b200bc, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x99406d53, "device_destroy" },
	{ 0x45046875, "__blk_should_fake_timeout" },
	{ 0xacc0e188, "nvme_set_queue_count" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x8b765f8b, "nvmf_register_transport" },
	{ 0xe068c319, "blk_mq_start_request" },
	{ 0xfb7de202, "nvme_quiesce_io_queues" },
	{ 0x2ae18a5d, "blk_mq_tagset_busy_iter" },
	{ 0x2984274a, "nvme_stop_ctrl" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd4b262a9, "dma_unmap_sg_attrs" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x280a9be0, "nvme_init_ctrl_finish" },
	{ 0x59f787c4, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x7794a8f5, "nvme_quiesce_admin_queue" },
	{ 0x78b8fb08, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xde05a532, "__nvme_check_ready" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x45679786, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "nvme-fabrics");


MODULE_INFO(srcversion, "5E70009E7D85E29F11B2A00");
