#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xaf11a846, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xeb858652, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xdf382133, "_gpl");
SYMBOL_CRC(fat_scan, 0x6310fb2f, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x1783d133, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x3cac864b, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x53b69127, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x205a9ca6, "_gpl");
SYMBOL_CRC(fat_getattr, 0x3ebd851f, "_gpl");
SYMBOL_CRC(fat_setattr, 0xd065b548, "_gpl");
SYMBOL_CRC(fat_attach, 0x81a38288, "_gpl");
SYMBOL_CRC(fat_detach, 0x212bbd83, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x760f2d96, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xf148601d, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x39a661a6, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x1011f5bb, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x25b0d166, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xd6248c71, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xf8e012db, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x0730f34d, "_gpl");
SYMBOL_CRC(fat_update_time, 0x98753f8e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4b58e31, "filemap_fdatawrite" },
	{ 0x495118e4, "generic_fillattr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xfce6227a, "setattr_prepare" },
	{ 0x71c36078, "generic_block_bmap" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x8ad25462, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27ac9b50, "make_vfsgid" },
	{ 0x487bd4a2, "blk_start_plug" },
	{ 0x7093f321, "clear_inode" },
	{ 0xdff31e3b, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xfeb6b23e, "new_inode" },
	{ 0x3569b6a9, "mark_buffer_dirty" },
	{ 0x6b1cce4f, "security_inode_setattr" },
	{ 0x657382c2, "__find_get_block" },
	{ 0xa27452f, "filemap_fdatawrite_range" },
	{ 0x9f4bc8f9, "inode_needs_sync" },
	{ 0x27fd415e, "__blockdev_direct_IO" },
	{ 0x8e1514fb, "d_make_root" },
	{ 0x3320407, "__bforget" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd5b830d2, "sb_set_blocksize" },
	{ 0xb8e71d6d, "block_truncate_page" },
	{ 0x2d9c1794, "write_dirty_buffer" },
	{ 0x6b0922ee, "sync_filesystem" },
	{ 0xed197a05, "fsnotify" },
	{ 0x96c72cea, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf51bfb0, "from_vfsuid" },
	{ 0x82b0d0a0, "inode_dio_wait" },
	{ 0xee077530, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5bdc79a9, "cont_write_begin" },
	{ 0x21597935, "iput" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2af13cdb, "iter_file_splice_write" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc214e03, "generic_file_write_iter" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x79351ed6, "kmem_cache_create" },
	{ 0x34fddad9, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd0769e0a, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x47072e89, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5ab56c99, "block_invalidate_folio" },
	{ 0xacf65c85, "__breadahead" },
	{ 0xedd3d824, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x78e31815, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8ba15824, "generic_cont_expand_simple" },
	{ 0x7fd79963, "make_kuid" },
	{ 0xf52a7f2f, "truncate_inode_pages_final" },
	{ 0x509e9e46, "generic_file_mmap" },
	{ 0xe398e1a0, "sync_mapping_buffers" },
	{ 0x806026a, "ilookup" },
	{ 0xba4a7521, "kmem_cache_alloc" },
	{ 0x8e803d12, "invalidate_inode_buffers" },
	{ 0x7ad55623, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xed53eebb, "mnt_drop_write_file" },
	{ 0x1dbe9036, "inode_init_once" },
	{ 0xcd030c0b, "compat_ptr_ioctl" },
	{ 0xd8fc9a11, "__fsnotify_parent" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf322852c, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0xc1962c50, "generic_file_read_iter" },
	{ 0xb84e9df6, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xf8696e90, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x96aeeb7b, "sync_dirty_buffer" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x6130dd2, "setattr_copy" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x43ac087b, "__wait_on_buffer" },
	{ 0xc87f325f, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x569112d1, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x437f2ba, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2c5f4b1b, "from_vfsgid" },
	{ 0xbaba5225, "write_inode_now" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xb895f96e, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x10f63418, "__bread_gfp" },
	{ 0xc4f2c07d, "block_dirty_folio" },
	{ 0x5136cc0, "mpage_read_folio" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x1890f8bb, "__insert_inode_hash" },
	{ 0x13efe95e, "buffer_migrate_folio" },
	{ 0xf4f5959e, "make_kgid" },
	{ 0x28a6677a, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x35fa12e2, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x495550d3, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xaef2e855, "igrab" },
	{ 0xc86c2e7, "__getblk_gfp" },
	{ 0x836f9ff0, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe547827c, "mpage_readahead" },
	{ 0x955c30c4, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf84a2eb1, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x493047f2, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x831c1ed4, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xe7bd459f, "blkdev_issue_flush" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x650c459d, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7f956602, "generic_fh_to_parent" },
	{ 0x5b29f1f0, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xcba5ce4, "from_kuid_munged" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0x7fefbb2a, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xfc5b6bfd, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x46a08a99, "__mark_inode_dirty" },
	{ 0xcd11cfb6, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4e1b32e, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xbad01f10, "mark_buffer_dirty_inode" },
	{ 0x149a7ff8, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x9c60b21b, "kmem_cache_destroy" },
	{ 0x5431f503, "blkdev_issue_discard" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9410C7029DFD418F3FB2DEB");
