#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7030844a, "dquot_commit" },
	{ 0xded21072, "truncate_inode_pages" },
	{ 0x783101af, "bh_uptodate_or_lock" },
	{ 0xb46e768e, "inode_init_owner" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xfce6227a, "setattr_prepare" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x760a0f4f, "yield" },
	{ 0x35eb3e46, "clear_nlink" },
	{ 0x71c36078, "generic_block_bmap" },
	{ 0xe4b4c944, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb0c76ff0, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27ac9b50, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7093f321, "clear_inode" },
	{ 0xdbe11471, "dquot_set_dqinfo" },
	{ 0xfc6c8422, "dquot_commit_info" },
	{ 0x76899b00, "grab_cache_page_write_begin" },
	{ 0x4c864517, "dquot_disable" },
	{ 0x4c5792ed, "dquot_release" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x31b362f6, "dquot_free_inode" },
	{ 0x39be7a11, "folio_unlock" },
	{ 0x1ea36b82, "set_blocksize" },
	{ 0xc58381, "lookup_one_len" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xfeb6b23e, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4fb9f395, "dump_page" },
	{ 0xf4635a6b, "dquot_get_state" },
	{ 0x2f8e43be, "init_special_inode" },
	{ 0x5bc1d164, "unregister_filesystem" },
	{ 0x3569b6a9, "mark_buffer_dirty" },
	{ 0x657382c2, "__find_get_block" },
	{ 0xadf89b27, "__block_write_begin" },
	{ 0x8b3a492b, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x27fd415e, "__blockdev_direct_IO" },
	{ 0x8e1514fb, "d_make_root" },
	{ 0x96848186, "scnprintf" },
	{ 0x3320407, "__bforget" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd5b830d2, "sb_set_blocksize" },
	{ 0x2d9c1794, "write_dirty_buffer" },
	{ 0x6b0922ee, "sync_filesystem" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf846b6c2, "d_splice_alias" },
	{ 0x96c72cea, "current_time" },
	{ 0xb57a3be5, "folio_zero_new_buffers" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7925a5b5, "ihold" },
	{ 0x3c4f5c84, "page_get_link" },
	{ 0x82b0d0a0, "inode_dio_wait" },
	{ 0x1e7c41aa, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x7b20474d, "read_cache_page" },
	{ 0x21597935, "iput" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x55bae47c, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2af13cdb, "iter_file_splice_write" },
	{ 0xe6f45adc, "filemap_release_folio" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x6119fd66, "remove_proc_subtree" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4e626307, "flush_dcache_folio" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc214e03, "generic_file_write_iter" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xcd5a0949, "register_filesystem" },
	{ 0x4bdeb505, "dquot_transfer" },
	{ 0x79351ed6, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0xa48239e0, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xa9cb2abd, "submit_bh" },
	{ 0xd0769e0a, "make_vfsuid" },
	{ 0x9b55a64e, "inode_get_bytes" },
	{ 0xaedbd496, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x2e332d4c, "inode_newsize_ok" },
	{ 0xb4d53d1c, "kill_block_super" },
	{ 0x47072e89, "mnt_want_write_file" },
	{ 0x66fb5df0, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf39ac6f5, "dquot_quota_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8ba15824, "generic_cont_expand_simple" },
	{ 0x7fd79963, "make_kuid" },
	{ 0xf55d59d5, "try_to_free_buffers" },
	{ 0xe2d1797c, "create_empty_buffers" },
	{ 0xf52a7f2f, "truncate_inode_pages_final" },
	{ 0x509e9e46, "generic_file_mmap" },
	{ 0xe398e1a0, "sync_mapping_buffers" },
	{ 0x1fc48c2e, "dquot_initialize" },
	{ 0xc802bdb7, "dquot_quota_on" },
	{ 0x3ba41518, "blkdev_put" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc9a74bbe, "xattr_full_name" },
	{ 0xe8e13ca1, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0xed53eebb, "mnt_drop_write_file" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x1dbe9036, "inode_init_once" },
	{ 0x683d48e5, "file_write_and_wait_range" },
	{ 0x3c126c86, "mark_buffer_async_write" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7ca5154e, "seq_escape_mem" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9aa53cc8, "dquot_set_dqblk" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf322852c, "__brelse" },
	{ 0x435954d0, "posix_acl_create" },
	{ 0x1f0467c3, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xfdf8c18, "shrink_dcache_sb" },
	{ 0xce807a25, "up_write" },
	{ 0xc1962c50, "generic_file_read_iter" },
	{ 0x20c747ab, "unlock_page" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc464525f, "set_cached_acl" },
	{ 0x169d16a, "blkdev_get_by_dev" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x96aeeb7b, "sync_dirty_buffer" },
	{ 0x8948457d, "__bh_read_batch" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0x4bf035fa, "dquot_resume" },
	{ 0x6130dd2, "setattr_copy" },
	{ 0x6477f72c, "proc_mkdir_data" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x43ac087b, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc87f325f, "set_nlink" },
	{ 0x569112d1, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x5ac932d1, "security_inode_init_security" },
	{ 0x749343cd, "seq_putc" },
	{ 0xbf21aa39, "blkdev_get_by_path" },
	{ 0x50d1a2f8, "from_kgid" },
	{ 0xa34d784a, "__sync_dirty_buffer" },
	{ 0x94dea9cf, "__bh_read" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xb895f96e, "d_obtain_alias" },
	{ 0x4a0e0a66, "posix_acl_chmod" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x10f63418, "__bread_gfp" },
	{ 0xc4f2c07d, "block_dirty_folio" },
	{ 0x52a95fa1, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x2e3e617c, "proc_mkdir" },
	{ 0xdfdad08d, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xe53944ef, "inode_owner_or_capable" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf4f5959e, "make_kgid" },
	{ 0x31814428, "d_delete" },
	{ 0x40c8965a, "end_page_writeback" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x35fa12e2, "truncate_setsize" },
	{ 0x92416a35, "insert_inode_locked4" },
	{ 0xc9dd7cd4, "dquot_get_dqblk" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe4e30ab, "block_read_full_folio" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x99c60266, "redirty_page_for_writepage" },
	{ 0xee753fc7, "__dquot_alloc_space" },
	{ 0xdd64e639, "strscpy" },
	{ 0x495550d3, "unlock_buffer" },
	{ 0xaef2e855, "igrab" },
	{ 0xc86c2e7, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x836f9ff0, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd503531, "d_instantiate_new" },
	{ 0xa84457fd, "__dquot_free_space" },
	{ 0xcad87ee3, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0x525a1741, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe547827c, "mpage_readahead" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0xf84a2eb1, "init_user_ns" },
	{ 0x50026588, "simple_rename_timestamp" },
	{ 0x65cfff8d, "inode_set_ctime_current" },
	{ 0xbd1274bf, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x78381cab, "__folio_put" },
	{ 0x58a2fe53, "remove_proc_entry" },
	{ 0x2bf78776, "dquot_quota_off" },
	{ 0x493047f2, "seq_printf" },
	{ 0xc85b0848, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x831c1ed4, "__lock_buffer" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x4f749f96, "posix_acl_update_mode" },
	{ 0x8f9632f7, "__folio_lock" },
	{ 0xb911bad7, "dquot_quota_on_mount" },
	{ 0xea236f74, "filemap_dirty_folio" },
	{ 0x5e8a2448, "pagecache_get_page" },
	{ 0xe7bd459f, "blkdev_issue_flush" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x76f7c852, "is_bad_inode" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x650c459d, "seq_puts" },
	{ 0xd4d6d4dd, "dquot_mark_dquot_dirty" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x44dfe711, "dquot_get_next_id" },
	{ 0xb9fa7295, "dquot_file_open" },
	{ 0x5b29f1f0, "filemap_splice_read" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x6a8ba5ec, "proc_create_single_data" },
	{ 0x1f11ff63, "kmalloc_trace" },
	{ 0x3c6b0e6b, "iget5_locked" },
	{ 0xc4388726, "d_set_d_op" },
	{ 0xb2629ece, "dquot_acquire" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x349cba85, "strchr" },
	{ 0xfc5b6bfd, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb2831c3, "dquot_writeback_dquots" },
	{ 0x46a08a99, "__mark_inode_dirty" },
	{ 0xcd11cfb6, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe7a0505f, "make_bad_inode" },
	{ 0x53b954a2, "up_read" },
	{ 0x20f189a0, "drop_nlink" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x43f8c914, "kmalloc_caches" },
	{ 0x3deba731, "dquot_destroy" },
	{ 0x8a6da368, "dquot_alloc" },
	{ 0x9c60b21b, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xbbb13f23, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "94EA7D47ABF30BFEA08A7F4");
